=== release 0.10.16 ===

2010-09-06  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  releasing 0.10.16, "I needed time to think to get the memories from my mind"

2010-09-05 18:59:10 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From d3d9acf to c2e10bf

2010-09-05 12:21:26 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ca1c867 to d3d9acf

2010-09-03 11:05:23 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.10.15.2 pre-release

2010-09-03 11:04:46 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Update to latest common

2010-09-02 16:10:43 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Use proper macro to detect sources
	  Allows us to use composition as sources

2010-08-17 14:10:38 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gnl/gnlcomposition.c:
	* tests/check/gnl/gnlcomposition.c:
	  gnlcomposition: fix a race. Fixes #626733.
	  Fix a race between no_more_pads_object_cb and compare_relink_single_node.

2010-08-12 15:53:42 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* tests/check/gnl/gnlcomposition.c:
	  tests: add a test case for a race in gnlcomposition. See #626733.
	  Add a test for a race between no_more_objects_cb and compare_relink_single_node
	  in gnlcomposition.

2010-08-19 15:10:25 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gnl/gnlcomposition.c:
	* tests/check/gnl/gnlcomposition.c:
	  gnlcomposition: fail early in remove_object when removing an invalid object.
	  Make gnl_composition_remove_object return immediately FALSE when removing an
	  object not contained in the composition.

2010-08-19 15:00:38 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gnl/gnlcomposition.c:
	  gnlcomposition: fix thinko.
	  In gnl_composition_remove_object initialize the return value to FALSE and not to
	  GST_STATE_CHANGE_FAILURE.

2010-08-20 10:06:33 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/gnl/gnlcomposition.c:
	  tests: Be more flexible in tests
	  When removing an object from a composition, there might still be some
	  internal refcounting still present since it's not in NULL.
	  Also, use ASYNC_DONE message to detect for pre-roll

2010-08-13 17:25:15 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 3e8db1d to ec60217

2010-08-10 10:59:55 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From bd2054b to 3e8db1d

2010-08-05 13:58:11 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From a519571 to bd2054b

2010-08-04 19:32:09 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Check if the compiler supports ISO C89 or C99 and which parameters are required
	  This first checks what is required for ISO C99 support and sets the relevant
	  compiler parameters and if no C99 compiler is found, it checks for a
	  C89 compiler. This enables us to check for and use C89/C99 functions
	  that gcc hides from us without the correct compiler parameters.

2010-08-03 10:51:34 +0200  Edward Hervey <bilboed@bilboed.com>

	* docs/libs/gnonlin.args:
	* docs/libs/inspect/plugin-gnonlin.xml:
	  docs: update

2010-07-28 18:13:23 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Fix dropping of QOS events for previous segments
	  If the different between the internal and external segment is larger
	  than the timestamp plus diff, the QOS event was for a previous
	  segment and the QOS event would become invalid, i.e. it would be
	  for a negative timestamp.

2010-07-27 17:30:42 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Don't discard QoS event for current segment.
	  curdiff will be zero in the first segment

2010-07-27 16:33:29 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlsource.c:
	  gnlsource: Remove a useless check for GstBin property
	  We depend on a version of GStreamer that will contain it

2010-07-23 15:50:49 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/gnl/complex.c:
	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/gnloperation.c:
	* tests/check/gnl/gnlsource.c:
	* tests/check/gnl/simple.c:
	  tests: Don't use the expensive videotestsrc patterns
	  We're not viewing them anyway, so might as well take the cheapest
	  to use.

2010-07-23 15:36:04 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Use GSlice instead of malloc/free

2010-07-23 15:35:32 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlghostpad.c:
	  gnlghostpad: Use GSlice instead of malloc/free

2010-07-23 15:34:51 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlsource.c:
	  gnlsource: Use G_TYPE private instances
	  This ensures the private data is 'closer' to the public structures

2010-07-23 15:33:49 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Use G_TYPE private instances
	  This ensures the private data is 'closer' to the public structures

2010-07-23 14:48:32 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Use GNL_OBJECT_* macros wherever possible

2010-07-23 14:46:16 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.h:
	  gnlobject: New macros for less ugly code

2010-07-20 21:56:28 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlsource.c:
	  gnlsource: Store static pad
	  Avoids having to check twice for available compatible pad

2010-07-12 19:14:24 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Use fast pad linking some more

2010-06-28 17:31:54 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* autogen.sh:
	* configure.ac:
	  Bump automake requirement to 1.10 and autoconf to 2.60.

2010-06-27 13:44:55 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/gnl/common.h:
	  check: Use fast pad linking methods

2010-06-27 13:37:31 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gnl/gnlcomposition.c:
	  gnlcomposition: Use fast pad linking
	  Requires latest core

2010-06-24 15:10:17 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 35617c2 to a519571

2010-06-15 16:51:00 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 9339ccc to 35617c2

2010-06-15 16:55:27 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 5adb1ca to 9339ccc

2010-06-15 16:36:35 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 57c89b7 to 5adb1ca

2010-06-15 15:50:53 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From c804988 to 57c89b7

2010-06-14 13:28:15 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Use GLIB_EXTRA_CFLAGS

2010-06-14 13:06:05 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 7a0fdf5 to c804988

2010-06-14 11:35:50 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 6da3bab to 7a0fdf5

2010-06-12 08:30:13 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 733fca9 to 6da3bab

2010-06-10 16:01:07 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/gnlsource.c:
	  tests: Fix memory leaks

2010-06-10 14:07:01 +0200  Edward Hervey <bilboed@bilboed.com>

	* docs/libs/Makefile.am:
	  docs: Fix source/header file location

2010-06-10 13:57:59 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlghostpad.c:
	  GnlGhostPad: Add debug statement

2010-06-10 13:57:43 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnloperation.c:
	  GnlOperation: Fix more leaks

2010-06-10 13:31:20 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/Makefile.am:
	* tests/check/common.h:
	* tests/check/complex.c:
	* tests/check/gnl/common.h:
	* tests/check/gnl/complex.c:
	* tests/check/gnl/gnlcomposition.c:
	* tests/check/gnl/gnloperation.c:
	* tests/check/gnl/gnlsource.c:
	* tests/check/gnl/simple.c:
	* tests/check/gnlcomposition.c:
	* tests/check/gnloperation.c:
	* tests/check/gnlsource.c:
	* tests/check/simple.c:
	  check: Move tests to a subdirectory

2010-06-09 12:40:35 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From fad145b to 733fca9

2010-06-09 12:34:30 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 595defc to fad145b

2010-06-09 17:10:36 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  common: Update to current master

2010-06-09 12:58:24 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnloperation.c:
	  GnlOperation: Properly dispose of our ghostpads.
	  Plugs a leak

2010-06-01 23:49:48 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 17f89e5 to 47683c1

2010-06-01 22:55:36 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From fd7ca04 to 17f89e5

2010-05-31 12:54:05 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Remove stray debugging statement

2010-05-28 10:22:11 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* .gitignore:
	* Makefile.am:
	  build: copy build files into m4/ instead of common/m4/
	  We don't want cruft in the common submodule directory.

2010-05-26 11:56:38 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 357b0db to fd7ca04

2010-05-14 18:26:28 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 4d67bd6 to 357b0db

2010-05-07 15:35:24 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/.gitignore:
	  tests: Ignore more files

2010-05-07 15:34:37 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlurisource.c:
	  gnlurisource: Set 'expose-all-streams' on uridecodebin to FALSE
	  We only need the stream specified in the caps

2010-04-23 14:42:29 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From fc85867 to 4d67bd6

2010-04-13 15:35:28 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/common.h:
	  check: Lower framerate coming out of videotestsrc.
	  This should lower the amount of time required to run the tests

2010-04-09 11:24:04 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From c1d07dd to fc85867

2010-04-01 12:08:11 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlsource.c:
	  GnlSource: Demote a WARNING to a DEBUG
	  Not having a source pad is normal, it could be dynamic

2010-03-25 18:47:37 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  GnlComposition: Set the composition caps on the contained elements
	  This is only done if the caps of the composition are no GST_CAPS_ANY.
	  This is a step in allowing easy decode-less support for editing.

2010-03-25 18:44:45 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	  GnlObject: expose gnl_object_set_caps method

2010-03-24 18:56:21 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 55cd514 to c1d07dd

2010-03-24 11:49:52 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gnl/gnl.c:
	* gnl/gnlghostpad.c:
	* gnl/gnlghostpad.h:
	  build: Add all kinds of compiler warning flags and fix the resulting warnings

2010-03-18 23:19:46 +0100  Benjamin Otte <otte@redhat.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlfilesource.c:
	* gnl/gnloperation.c:
	* gnl/gnlsource.c:
	* gnl/gnlurisource.c:
	  gst_element_class_set_details => gst_element_class_set_details_simple
	  https://bugzilla.gnome.org/show_bug.cgi?id=613283

2010-03-19 12:13:07 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlsource.c:
	  GnlSource: Handle multiple pad_blocked calls.
	  The pad blocked handler can be called by multiple threads, we
	  therefore need to make sure we only start the ghost_seek_pad handler
	  once.

2010-03-19 10:36:42 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlurisource.c:
	  GnlURISource: Set the GnlObject caps on uridecodebin.
	  This allows getting non-raw streams.

2010-03-12 14:00:42 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From e272f71 to 55cd514

2010-03-11 11:21:48 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From df8a7c8 to e272f71

2010-03-10 22:05:32 +0100  Benjamin Otte <otte@redhat.com>

	* configure.ac:
	  Update for recent changes to common submodule
	  This just replaces every "$ERROR_CFLAGS" usage with a usage of
	  "$WARNING_CFLAGS $ERROR_CFLAGS" to get the same functionality as
	  previously.
	  Actually using that separation will happen later.

2010-03-10 21:53:06 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From 9720a7d to df8a7c8

2010-03-10 20:44:52 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From 0b6e072 to 9720a7d

2010-03-10 16:10:50 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From 7cc5eb4 to 0b6e072

2010-03-10 10:26:30 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: And back to development we go

2010-03-10 01:11:35 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 7aa65b5 to 7cc5eb4

2010-03-09 21:42:14 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 44ecce7 to 7aa65b5

=== release 0.10.15 ===

2010-03-09 12:37:36 +0100  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Release 0.10.15 "I missed the snow in Barcelona"

2010-03-07 19:23:46 +0100  Edward Hervey <bilboed@bilboed.com>

	* tests/check/simple.c:
	  tests: Adjust simple test for slight behaviour change introduced in last commit

2010-03-07 19:24:17 +0100  Edward Hervey <bilboed@bilboed.com>

	* tests/check/gnloperation.c:
	  tests: Add a new test for checking fix introduce by last commit.

2010-03-07 19:12:07 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: fix a bug figuring out the segments.
	  If we have two sources (with no default sources) laid out like this:
	  [  source1         ]
	  [   source2   ]
	  We need to configure 3 different segments and therefore build 3 different
	  stacks. One in which only source1 is active, one in which both source1 and
	  source2 are active and finally one in which only source2 is active.
	  https://bugzilla.gnome.org/show_bug.cgi?id=609792

2010-02-28 20:03:17 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* gnl/gnlcomposition.c:
	  composition: call update_pipeline when an expandable source is added.

2010-02-28 20:02:32 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* gnl/gnlfilesource.c:
	  Fix a compiler warning in OSX.

2010-02-26 16:41:54 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gnl/Makefile.am:
	  build: Make some more rules silent if requested

2010-02-26 15:50:51 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Use automake 1.11 silent rules instead of shave if available
	  This makes sure that we use something that is still maintained and
	  also brings back libtool 1.5 support.

2010-02-17 10:01:03 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  Don't check for check, gst-check already includes it

2010-02-17 09:48:08 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* Makefile.am:
	  Include lcov.mak to allow unit test coverage report generation

2010-02-14 23:19:25 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 96dc793 to 44ecce7

2010-02-12 18:19:13 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Don't forget to carry over the modifyed stack
	  This can happen when we have several operations stacked one over each
	  other.
	  Fixes #609689

2010-02-12 11:37:24 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: And back to development we go

=== release 0.10.14 ===

2010-02-11 13:55:52 +0100  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Releasing 0.10.14, "Slicing, Dicing and Chopping"

2010-01-30 15:20:36 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 15d47a6 to 96dc793

2010-01-25 20:35:00 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: 0.10.13.3 pre-release

2010-01-20 00:55:52 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 14cec89 to 15d47a6

2010-01-12 15:34:50 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	  gnlobject: Specify unit in property descriptions
	  It was documented in gtk-doc but not in the introspectable documentation

2009-12-21 19:13:41 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 47cb23a to 14cec89

2009-12-01 15:08:54 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 87bf428 to 47cb23a

2009-12-01 12:32:43 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.10.13.2 pre-release

2009-12-01 14:18:47 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From da4c75c to 87bf428

2009-11-27 18:56:58 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 53a2485 to da4c75c

2009-11-24 15:20:12 +0100  Edward Hervey <bilboed@bilboed.com>

	* m4/Makefile.am:
	* m4/codeset.m4:
	* m4/gettext.m4:
	* m4/glibc21.m4:
	* m4/iconv.m4:
	* m4/intdiv0.m4:
	* m4/inttypes-pri.m4:
	* m4/inttypes.m4:
	* m4/inttypes_h.m4:
	* m4/isc-posix.m4:
	* m4/lcmessage.m4:
	* m4/lib-ld.m4:
	* m4/lib-link.m4:
	* m4/lib-prefix.m4:
	* m4/progtest.m4:
	* m4/stdint_h.m4:
	* m4/uintmax_t.m4:
	* m4/ulonglong.m4:
	  m4: remove unneeded disted m4
	  They will be installed by autogen.sh

2009-11-19 10:32:07 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 0702fe1 to 53a2485

2009-11-17 17:38:32 +0000  Jan Schmidt <thaytan@noraisin.net>

	* gnl/Makefile.am:
	  build: Remove  duplicate noinst_HEADERS in gnl/Makefile.am

2009-10-16 10:17:56 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 85d1530 to 0702fe1

2009-10-14 11:08:00 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlurisource.c:
	  gnlurisource: Fix description

2009-10-14 10:42:21 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From a3e3ce4 to 85d1530

2009-10-08 11:01:49 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 19fa4f3 to a3e3ce4

2009-09-21 18:34:05 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlurisource.c:
	* gnl/gnlurisource.h:
	  gnlurisource: ... it works better with the files.

2009-09-21 11:50:53 +0200  Edward Hervey <bilboed@bilboed.com>

	* docs/libs/gnonlin.args:
	* docs/libs/gnonlin.signals:
	  docs: Update args/signals

2009-09-21 11:50:44 +0200  Edward Hervey <bilboed@bilboed.com>

	* docs/libs/gnonlin-docs.sgml:
	* docs/libs/gnonlin-sections.txt:
	* docs/libs/gnonlin.args:
	* docs/libs/gnonlin.hierarchy:
	* docs/libs/gnonlin.interfaces:
	* docs/libs/inspect/plugin-gnonlin.xml:
	  docs: Add gnlurisource

2009-09-21 11:49:07 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gnl/Makefile.am:
	* gnl/gnl.c:
	* gnl/gnl.h:
	* gnl/gnlfilesource.c:
	* gnl/gnlfilesource.h:
	* gnl/gnltypes.h:
	  New GnlURISource plugin, of which GnlFileSource subclasses. Fixes #595570

2009-09-21 11:51:27 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: And back to development we go...

2009-09-10 08:18:48 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gnl/gnlfilesource.c:
	  gnlfilesource: If we use uridecodebin get the location from there
	  This prevents assertions that result from getting the property value
	  from the internal filesrc, which is NULL if we use uridecodebin.

=== release 0.10.13 ===

2009-09-07 11:51:36 +0200  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  0.10.13 "Service of Quality"

2009-09-05 10:26:08 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 94f95e3 to 19fa4f3

2009-09-02 18:04:53 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.10.12.3 pre-release

2009-09-01 18:54:19 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlghostpad.c:
	  gnlcomposition: Fix QoS handling.
	  QoS handling requires knowledge of the running time which only
	  GnlComposition is aware of. Therefore we remove it from GnlGhostPad
	  and handle it in the composition.
	  Details of the algorithm are contained as comments in gnlcomposition.c

2009-08-29 11:17:57 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: 0.10.12.2 pre-release

2009-08-24 16:50:24 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlghostpad.c:
	  gnlghostpad: clamp jitter to the transformed timestamp.
	  Fixes "GStreamer-CRITICAL **: gst_event_new_qos: assertion `diff
	  >= 0 || -diff <= timestamp' failed" assertions.

2009-08-24 12:08:45 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlsource.c:
	  gnlsource: Make the pad removal code non-racy.
	  Previously we were checking whether (1) there was a ghostpad and (2) whether
	  the target was the pad being removed.
	  The problem was that the following racyness can happen:
	  1. A pad gets added and controlled
	  2. The pad gets removed before having outputted any data (and therefore the
	  ghostpad isn't created).
	  3. There's no ghostpad... and therefore we don't properly reset ourselves.

2009-08-23 19:50:31 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnloperation.h:
	  gnlcomposition: link operations by pad, inform them of incoming stream priorities.

2009-08-23 19:50:01 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnloperation.c:
	  GnlOperation: Fix signal signature, add public method to emit signal

2009-08-12 18:31:36 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Drop incoming events when not entirely linked. Fixes #583145

2009-08-12 18:32:19 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: And back to development we go...

=== release 0.10.12 ===

2009-08-10 18:02:57 +0200  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  releasing 0.10.12, "Lots of people on the clothesline"

2009-08-10 16:28:38 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlfilesource.c:
	* gnl/gnlfilesource.h:
	  gnlfilesource: Use uridecodebin and remove dead code.
	  Using decodebin2 directly fails because it blocks its own pads (therefore
	  making it impossible for us to block them ourselves.

2009-08-06 17:35:21 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gnl/gnlghostpad.c:
	  When ghosting a pad that has negotiated caps, set those caps to the ghost as well.

2009-08-04 17:47:34 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: 0.10.11.3 pre-release

2009-07-29 20:40:25 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Only remove top-level pad if removed pad is a source pad.
	  "Wow, not all objects in the timeline are sources ?"

2009-07-29 15:58:25 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlsource.c:
	  gnlsource: Properly reset internal state when controlled pad has gone.
	  We weren't resetting pendingblock, resulting in some cases where a new pad
	  to control would appear, but would not be used because pendingblock was still TRUE.

2009-07-01 18:53:43 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnloperation.c:
	* gnl/gnloperation.h:
	  gnloperation: TEMPORARY COMMIT ! REBASE ME !
	  Added the signal, the next step is to emit it from the composition
	  which requires replacing the gst_element_link with gst_pad_link...
	  which we should have been using ages ago :)

2009-07-01 16:56:27 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/Makefile.am:
	* gnl/gnlmarshal.list:
	* gnl/gnloperation.c:
	  gnl: Adding signal marshaller

2009-07-27 20:07:21 +0200  Adam Dingle <adam@yorba.org>

	* gnl/gnlfilesource.c:
	  gnlfilesource: Really use decodebin2. Fixes #589525

2009-07-24 00:43:47 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From fedaaee to 94f95e3

2009-07-16 10:20:08 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.10.11.2 pre-release

2009-07-13 12:24:46 -0400  Olivier Crête <olivier.crete@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 5845b63 to fedaaee

2009-06-26 13:44:04 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From f810030 to 5845b63

2009-06-24 19:15:30 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Remove bogus debug statement.

2009-06-24 15:16:42 +0100  Jan Schmidt <jan.schmidt@sun.com>

	* common:
	  Automatic update of common submodule
	  From f3bb51b to f810030

2009-06-14 11:35:52 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlcomposition.h:
	* gnl/gnlfilesource.c:
	* gnl/gnlfilesource.h:
	  gnlcomposition/gnlfilesource: Don't use 'private' keyword.
	  This avoids build errors with C++ compilers.

2009-06-12 20:00:00 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnloperation.c:
	  gnloperation: Don't forget to lower the pad count when removing one.

2009-06-12 18:48:59 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: rewrite from scratch of pipeline unlinking/linking.
	  We currently weren't handling operations in general (and dynamic multi-sinkpad
	  operations in particular) in a safe fashion.
	  This rewrite makes sure that when redoing the pipeline:
	  * no streaming threads are flowing between elements when deactivating
	  * all source pads are blocked (asynchronously)
	  * flush start/stop is sent out if this is the consequence of a seek

2009-06-12 18:46:34 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: When receiving a seek, let update_pipeline send the flush events.

2009-06-12 18:44:46 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: *always* update pipeline when removing objects.
	  The object might currently have a streaming thread flowing out/through
	  of it. We therefore need to properly stop that by forcing a refresh of
	  the internal pipeline before calling the parent class remove_object()

2009-06-12 18:43:51 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Recheck for ghostpad existence in critical codepath.

2009-06-12 18:42:25 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlghostpad.c:
	  gnlghostpad: add G_UNLIKELY and remove useless warning

2009-06-12 18:41:21 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnloperation.c:
	  gnloperation: Unset sink ghostpad targets and fix pad-synch for dynamic operations.

2009-06-10 19:42:11 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlobject.h:
	  gnlcomposition: Simplify IN_ACTIVE_SEGMENT macro
	  It also fixes the issue when the object would start before the segment
	  start and end after the segment stop.

2009-06-11 13:51:06 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	* docs/Makefile.am:
	* docs/libs/Makefile.am:
	* docs/upload.mak:
	  docs: Bump common. Remove extra upload.mak. Fix comment.

2009-05-30 17:57:53 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* tests/check/complex.c:
	* tests/check/gnloperation.c:
	  GnlComposition: Use expandable GnlObject property.

2009-05-29 19:47:43 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	  GnlObject: Add an 'expandable' property/flag.
	  This indicates that when the given object is used in a GnlComposition,
	  it should expand to the full extent of the composition's start/duration.

2009-05-29 19:35:52 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/complex.c:
	  checks: Don't check for gstreamer 0.10.4 anymore.
	  We already depend on a much recent version.

2009-05-30 17:59:39 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	* configure.ac:
	  configure.ac: Back to development.

2009-05-26 17:20:52 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 888e0a2 to c572721

=== release 0.10.11 ===

2009-05-24 11:08:00 +0200  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  0.10.11 release "How about green for the bikeshed?"

2009-05-22 10:21:31 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 6ab11d1 to 888e0a2

2009-05-18 13:07:13 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.10.10.3 pre-release

2009-05-12 19:25:34 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Don't return FALSE in critical code-path.
	  Since updates are disabled, just return TRUE to make calling code
	  believe it succeeded.

2009-05-10 11:17:16 +0200  Marc-Andre Lureau <marcandre.lureau@gmail.com>

	* autogen.sh:
	  Run libtoolize before aclocal
	  This unbreaks the build in some cases. Fixes bug #582021

2009-05-09 12:58:11 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnloperation.c:
	  gnloperation: Also look at element class for pad templates.
	  This happens when an element doesn't come from a factory, like python
	  elements.

2009-05-08 13:50:47 +0200  Edward Hervey <bilboed@bilboed.com>

	* docs/libs/gnonlin.args:
	* docs/libs/inspect/plugin-gnonlin.xml:
	  gtk-doc: update docs.

2009-05-08 13:49:55 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Document the 'update' property.

2009-04-19 17:10:47 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	  gnlobject: Document properties

2009-05-08 12:40:34 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Fix 'update' property description.

2009-05-08 12:39:27 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Use faster GList routines.
	  Use g_list_prepend() when we don't care about the order of the list.
	  Use g_list_insert_sorted() instead of g_list_append() + g_list_sort().
	  Don't sort a list after removing an item from an already sorted list.

2009-05-08 12:36:35 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* tests/check/simple.c:
	  gnlcomposition: Update start/duration/stop even with update==False.
	  The reason behind this is that updating the lists and those properties
	  are decently simple/fast to do it at that time. The internal pipeline
	  will still not be updated if update == False.

2009-05-06 16:21:01 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* tests/check/Makefile.am:
	* tests/check/common.h:
	* tests/check/simple.c:
	  gnlcomposition: Implement update-blocking. Fixes #555898
	  When update is set to False, the internal pipeline is never updated,
	  nor are the stop/duration properties of the composition.
	  This allows for massive modifications with a much lower overhead.

2009-05-06 16:13:16 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/simple.c:
	  tests/simple: Remove check for core > 0.10.4
	  We depend on a higher version already.

2009-04-30 20:13:21 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Remove duplicated code.
	  We use the same code when an object's start/stop/priority changes.

2009-04-21 22:14:26 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From b3941ea to 6ab11d1

2009-04-19 13:29:41 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlghostpad.c:
	  gnlghostpad. Implement outgoing_{qos|position} handling. Fixes #578234

2009-04-19 12:37:11 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlghostpad.c:
	  gnlghostpad: Add some debugging statements

2009-04-19 12:31:21 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnloperation.c:
	  gnloperation: Use our magic ghostpad for sink pads

2009-04-19 12:30:48 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlghostpad.c:
	  gnlghostpad: Implement outgoing_seek and incoming_new_segment handling

2009-04-19 12:28:33 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	  gnlobject: consider media_start as 0 if it's undefined.
	  This doesn't introduce regressions, but makes our life easier for handling
	  time-shifting with operations.

2009-04-19 10:12:52 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlghostpad.c:
	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	  Optimize calculations by using a boolean for (rate == 1.0) cases.

2009-04-19 10:04:01 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnl.c:
	* gnl/gnlghostpad.c:
	* gnl/gnlghostpad.h:
	  gnlghostpad: Add a 'gnlghostpad' debugging category

2009-04-19 09:44:16 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlghostpad.c:
	  gnlghostpad: Wrap G_*LIKELY with parenthses.
	  Makes indent act funny otherwise

2009-04-19 09:41:59 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	  gnlobject: Wrap G_*LIKELY with parenthses.
	  Makes indent act funny otherwise

2009-04-19 09:35:51 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/Makefile.am:
	* gnl/gnl.h:
	* gnl/gnlghostpad.c:
	* gnl/gnlghostpad.h:
	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	  gnlghostpad: Move all ghostpad-related methods to a separate file.
	  Helps for maintainability.

2009-04-19 09:34:44 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	  gnlobject: Give hints as to likelyhood of branches.

2009-04-19 09:04:15 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	* gnl/gnlobject.h:
	  gnlobject: Remove 'coverage' items. They were never in the public API.
	  This was leftover from pre-0.10 gnonlin.

2009-04-19 08:59:03 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	  gnlobject: No need to emit 'segment-start' message on newsegment anymore.
	  We had that to help GnlComposition.

2009-04-19 08:40:32 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	  gnlobject: Remove the message handling now that we don't use segment messages.

2009-04-17 13:15:24 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Add a stackvalid protected variable to know if we can expose the stack.
	  The problem is that checking if comp->private->current is available isn't good enough,
	  since we might be in the middle of activating the stack.

2009-04-16 15:18:14 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlfilesource.c:
	  gnlfilesource: Make decodebin2 the default.

2009-04-04 21:19:56 +0300  Felipe Contreras <felipe.contreras@gmail.com>

	* common:
	  Automatic update of common submodule
	  From d0ea89e to b3941ea

2009-04-04 14:55:21 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From f8b3d91 to d0ea89e

2009-04-03 11:06:51 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnloperation.c:
	  gnloperation: Check if the return-value-as-argument is valid.

2009-04-03 11:06:36 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlfilesource.c:
	  Remove unneeded variables

2009-04-03 11:05:41 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Take into account the result of the position query.

2009-04-03 11:04:42 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Fix usage of GstIterator.
	  Don't allocate unused variables (GValue, return value)
	  Resync if needed.

2009-04-01 12:44:44 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Fix inline declaration and remove useless variable.

2009-04-01 12:44:25 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  gnlcomposition: Remove dead/useless code.

2009-04-01 12:43:50 +0200  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlfilesource.c:
	* gnl/gnlobject.c:
	* gnl/gnloperation.c:
	* gnl/gnlsource.c:
	  Mark unused arguments using G_GNUC_UNUSED glib macro.

2009-04-01 12:19:21 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gnl/Makefile.am:
	* gnl/gnlversion.h.in:
	  Remove old old old gnlversion.h.in

2009-03-25 13:09:43 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlobject.c:
	  Translate incoming QoS events. Fixes #398453.

2009-03-24 17:35:21 +0100  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gnl/gnlcomposition.c:
	  gnlcomposition: remove a GST_ERROR_OBJECT i used for debugging. meh.

2009-03-24 17:31:21 +0100  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gnl/gnlcomposition.c:
	  gnlcomposition: clear private->ghosteventprobe when the pad goes away.

2009-03-21 16:48:53 +0100  Edward Hervey <bilboed@bilboed.com>

	* tests/check/common.h:
	* tests/check/complex.c:
	* tests/check/gnloperation.c:
	* tests/check/gnlsource.c:
	* tests/check/simple.c:
	  Fix tests when running on systems with alpha. Fixes #563507

2009-03-21 15:41:15 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	* gnl/gnlobject.c:
	  GnlComposition: Switch to using regular segment seeks. Fixes #575972

2009-03-11 11:57:21 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.10.10.2 pre-release

2009-03-09 23:14:29 +0000  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 7032163 to f8b3d91

2009-03-08 12:06:54 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ffa738d to 7032163

2009-03-08 11:22:30 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 3f13e4e to ffa738d

2009-03-07 11:48:02 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 3c7456b to 3f13e4e

2009-03-07 10:48:09 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 57c83f2 to 3c7456b

2009-03-05 16:52:13 +0100  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gnl/gnlcomposition.c:
	* tests/check/Makefile.am:
	* tests/check/gnlcomposition.c:
	  GnlComposition: rebuild the stack when an object in the current stack is moved outside the active segment.

2009-03-02 17:46:43 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlcomposition.c:
	  GnlComposition: Post a GST_MESSAGE_DURATION when the duration changes.
	  Fixes #569854

2009-02-25 15:09:41 +0000  Jan Schmidt <thaytan@noraisin.net>

	* common:
	* configure.ac:
	  build: Update shave init statement for changes in common. Bump common.

2009-02-25 11:33:24 +0000  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 9cf8c9b to a6ce5c6

2009-02-24 13:08:26 +0100  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gnl/gnlcomposition.c:
	  gnlcomposition: in update_pipeline() set the seek start position if it's different from the currently configured position.

2009-02-23 18:30:16 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlsource.c:
	  gnlsource: Unref only pads that (1) exist and (2) are ours.

2009-02-23 13:27:48 +0200  Stefan Kost <ensonic@users.sf.net>

	* docs/libs/gnonlin-docs.sgml:
	  docs: use right entity name for version.

2009-02-22 20:33:17 +0000  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	* docs/libs/Makefile.am:
	  Use shave for the build

2009-02-22 16:02:16 +0000  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 5d7c9cc to 9cf8c9b

2009-02-21 11:14:35 -0800  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 80c627d to 5d7c9cc

2009-02-13 15:35:51 -0800  David Schleef <ds@schleef.org>

	* .gitignore:
	  Remove common from .gitignore
	  Makes it easier to update common.

2009-02-09 12:04:30 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Bump revision to use for common submodule.

2009-02-04 16:49:26 +0000  Jan Schmidt <thaytan@noraisin.net>

	* gnl/gnlfilesource.c:
	  gnlfilesource: Avoid crashing on missing elements
	  Even though it should never happen, don't crash if we fail to create a
	  filesrc or decodebin for whatever reason.

2009-02-04 16:46:50 +0000  Jan Schmidt <thaytan@noraisin.net>

	* gnl/gnlsource.c:
	  gnlsource: Move a != NULL check to before the first use.

2009-01-30 22:30:50 +0200  Stefan Kost <ensonic@users.sf.net>

	* docs/libs/gnonlin-docs.sgml:
	  Add releaseinfo with online url.

2009-01-30 18:51:36 +0100  Edward Hervey <bilboed@bilboed.com>

	* gnl/gnlobject.c:
	  Implement handling of GST_QUERY_DURATION for gnlobject and subclasses
	  Partially fixes #569854

2009-01-30 18:44:11 +0100  Edward Hervey <bilboed@bilboed.com>

	* .gitignore:
	  Ignore more files

2009-01-30 17:46:24 +0000  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Bump common

2009-01-30 09:07:08 +0100  Edward Hervey <bilboed@bilboed.com>

	* autogen.sh:
	  Fix previous commit, wasn't actually setting up a symbolic link

2009-01-30 09:00:21 +0100  Edward Hervey <bilboed@bilboed.com>

	* autogen.sh:
	* common:
	  Use a symbolic link for the pre-commit client-side hook

2009-01-26 12:00:49 +0100  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gnl/gnlcomposition.c:
	  gnl/gnlcomposition.c: Check that GST_MESSAGE_SRC (m) is a GnlObject before casting it.

2009-01-22 13:43:57 +0100  Sebastian Dröge <slomo@circular-chaos.org>

	* common:
	  Fix pre-commit hook

2009-01-22 06:18:54 +0100  Edward Hervey <bilboed@bilboed.com>

	* autogen.sh:
	* common:
	  Install and use pre-commit indentation hook from common

2009-01-21 04:36:21 +0100  Edward Hervey <bilboed@bilboed.com>

	* autogen.sh:
	  autogen.sh : Use git submodule

2009-01-07 12:12:36 +0000  Alessandro Decina <alessandro.decina@collabora.co.uk>

	  gnl/gnlcomposition.c: Release objects lock temporarily when emitting no-more-pads.
	  Original commit message from CVS:
	  Patch by: Alessandro Decina <alessandro.decina@collabora.co.uk>
	  * gnl/gnlcomposition.c: (gnl_composition_ghost_pad_set_target):
	  Release objects lock temporarily when emitting no-more-pads.
	  This should not affect anything considering that the composition is
	  in the process of being built at that point and no actions should
	  be attempting to modify it while that lock is released.
	  Fixes #566796

2008-12-28 15:28:40 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Refine means "do not EXTEND the region" !
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (refine_start_stop_in_region_above_priority):
	  Refine means "do not EXTEND the region" !
	  This should fix more issues with complex timelines.

2008-12-14 12:24:30 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlsource.c: Don't forget to call the parent_class send_event handler.
	  Original commit message from CVS:
	  * gnl/gnlsource.c: (gnl_source_send_event):
	  Don't forget to call the parent_class send_event handler.

2008-12-13 16:46:47 +0000  Edward Hervey <bilboed@bilboed.com>

	  m4/Makefile.am: Two more .m4 that aren't shipped anymore with gettext >= 0.17.
	  Original commit message from CVS:
	  * m4/Makefile.am:
	  Two more .m4 that aren't shipped anymore with gettext >= 0.17.

2008-12-13 13:03:18 +0000  Edward Hervey <bilboed@bilboed.com>

	  m4/Makefile.am: inttypes.m4 hasn't been available since gettext-0.15, and since we now require gettext >= 0.17 ... we...
	  Original commit message from CVS:
	  * m4/Makefile.am:
	  inttypes.m4 hasn't been available since gettext-0.15, and since we now
	  require gettext >= 0.17 ... we can remove it from the list of files to
	  dist.

2008-12-04 20:13:46 +0000  Sebastian Dröge <slomo@circular-chaos.org>

	  configure.ac: Apparently AC_CONFIG_MACRO_DIR breaks when using more than one macro directory, reverting last change.
	  Original commit message from CVS:
	  * configure.ac:
	  Apparently AC_CONFIG_MACRO_DIR breaks when using more
	  than one macro directory, reverting last change.

2008-12-04 19:51:19 +0000  Sebastian Dröge <slomo@circular-chaos.org>

	  configure.ac: Set AC_CONFIG_MACRO_DIR to common/m4 to point autoconf to our M4 macros.
	  Original commit message from CVS:
	  * configure.ac:
	  Set AC_CONFIG_MACRO_DIR to common/m4 to point autoconf to
	  our M4 macros.

2008-11-29 13:34:48 +0000  Sebastian Dröge <slomo@circular-chaos.org>

	  Require gettext 0.17 because older versions don't mix with libtool 2.2. At build time an older gettext version will s...
	  Original commit message from CVS:
	  Patch by: Cygwin Ports maintainer
	  <yselkowitz at users dot sourceforge dot net>
	  * autogen.sh:
	  * configure.ac:
	  Require gettext 0.17 because older versions don't mix with libtool
	  2.2. At build time an older gettext version will still work.
	  Fixes bug #556091.

2008-11-05 12:57:08 +0000  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  If you read this commit message, you pay too much attention to details
	  Original commit message from CVS:
	  If you read this commit message, you pay too much attention to details

2008-11-05 12:54:56 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/Makefile.am: Don't install static libs for plugins. Fixes #550851 for -gnonlin.
	  Original commit message from CVS:
	  * gnl/Makefile.am:
	  Don't install static libs for plugins. Fixes #550851 for -gnonlin.

2008-11-04 12:47:10 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  gnl/Makefile.am: Don't install static libs for plugins. Fixes #550851 for -gnonlin.
	  Original commit message from CVS:
	  * gnl/Makefile.am:
	  Don't install static libs for plugins. Fixes #550851 for -gnonlin.

=== release 0.10.10 ===

2008-11-03 15:50:20 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Releasing 0.10.10
	  Original commit message from CVS:
	  Releasing 0.10.10

2008-11-03 15:25:16 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlobject.c: Small protection for when we get invalid ghostpads. Doesn't change behaviour, but reduces fatal warn...
	  Original commit message from CVS:
	  * gnl/gnlobject.c: (control_internal_pad):
	  Small protection for when we get invalid ghostpads. Doesn't change
	  behaviour, but reduces fatal warnings.

2008-10-26 23:09:33 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.9.2 pre-release.
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.9.2 pre-release.

2008-09-25 15:52:39 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/gnloperation.c: Adapt test to 'fixed' behaviour of videomixer fixed by #537361
	  Original commit message from CVS:
	  * tests/check/gnloperation.c: (GST_START_TEST):
	  Adapt test to 'fixed' behaviour of videomixer fixed by #537361

2008-07-29 17:19:42 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: When calculating current position, request it downstream since it has a much better chance of k...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (get_current_position),
	  (object_start_changed), (object_stop_changed),
	  (object_priority_changed), (object_active_changed),
	  (gnl_composition_add_object), (gnl_composition_remove_object):
	  When calculating current position, request it downstream since it has a
	  much better chance of knowing the exact position (because of queues, ..).
	  If that fails, then revert to upstream (in sources) as before.
	  Also, use the current position when stop/start/active/priority child
	  properties change.

2008-07-28 16:40:38 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Fix race-issue when unblocking top-level pad because the update_pipeline method isn't atomic (t...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_handle_message),
	  (no_more_pads_object_cb), (update_pipeline):
	  Fix race-issue when unblocking top-level pad because the update_pipeline
	  method isn't atomic (the objects lock is released in the middle).
	  Also ignore ERROR/WARNING coming from elements which aren't in the
	  currently configured stack. This is mostly related to a big issue with
	  reverse negotiation in dynamic pipelines.

2008-05-31 15:23:09 +0000  Edward Hervey <bilboed@bilboed.com>

	  docs/libs/inspect/plugin-gnonlin.xml: Plugin info as changed (email addresses).
	  Original commit message from CVS:
	  * docs/libs/inspect/plugin-gnonlin.xml:
	  Plugin info as changed (email addresses).

2008-05-31 15:13:51 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Don't use the objects_lock to protect the message handling, instead use a new lock (messages_lo...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_init),
	  (gnl_composition_finalize), (gnl_composition_handle_message),
	  (update_pipeline):
	  Don't use the objects_lock to protect the message handling, instead
	  use a new lock (messages_lock). Avoids a stupid deadlock.

2008-05-30 16:09:44 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/: Update email adresses of wim and edward to working adresses.
	  Original commit message from CVS:
	  * gnl/gnl.c:
	  * gnl/gnl.h:
	  * gnl/gnlcomposition.c:
	  * gnl/gnlcomposition.h:
	  * gnl/gnlfilesource.c:
	  * gnl/gnlfilesource.h:
	  * gnl/gnlobject.c:
	  * gnl/gnlobject.h:
	  * gnl/gnloperation.c:
	  * gnl/gnlsource.c:
	  * gnl/gnlsource.h:
	  Update email adresses of wim and edward to working adresses.
	  Use less GNL_* casting macros that actually also do typechecking for
	  all parts where it is not needed, and instead use simple casting.

2008-05-27 17:41:45 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Properly accumulate segment_start/segment_done messages so that we only switch segment when all...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (add_message), (flush_messages),
	  (replace_message), (has_message), (dump_messages),
	  (gnl_composition_handle_message), (no_more_pads_object_cb),
	  (update_pipeline):
	  Properly accumulate segment_start/segment_done messages so that we only
	  switch segment when all segment_done have been emitted.
	  Inspired by the logic in gstbin.
	  * gnl/gnloperation.c: (get_unlinked_sink_ghost_pad),
	  (remove_sink_pad), (synchronize_sinks),
	  (gnl_operation_request_new_pad), (gnl_operation_release_pad):
	  Methods to properly remove request pads.
	  * tests/check/common.h:
	  Remove a leak

2008-05-26 17:26:16 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/: Fix more issues with dynamic-sinkpads operations.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (unblock_child_pads), (get_new_seek_event),
	  (get_current_position),
	  (refine_start_stop_in_region_above_priority),
	  (convert_list_to_tree), (get_stack_list),
	  (get_clean_toplevel_stack), (gnl_composition_change_state),
	  (compare_relink_single_node), (are_same_stacks), (update_pipeline),
	  (object_start_changed), (object_stop_changed),
	  (object_priority_changed), (object_active_changed),
	  (object_pad_removed), (object_pad_added),
	  (gnl_composition_remove_object):
	  * gnl/gnloperation.c: (element_is_valid_filter),
	  (get_nb_static_sinks), (gnl_operation_add_element),
	  (get_unused_static_sink_pad), (get_request_sink_pad),
	  (add_sink_pad), (synchronize_sinks):
	  * gnl/gnloperation.h:
	  Fix more issues with dynamic-sinkpads operations.
	  Gst-indent the code.

2008-05-26 17:21:29 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/: Round of gst-indent
	  Original commit message from CVS:
	  * gnl/gnlfilesource.c: (gnl_filesource_init):
	  * gnl/gnlobject.c: (translate_incoming_seek),
	  (ghostpad_event_function):
	  * gnl/gnlsource.c: (gnl_source_init):
	  Round of gst-indent

2008-05-26 11:31:27 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/: Round of gst-indent and more utilities
	  Original commit message from CVS:
	  * tests/check/common.h:
	  * tests/check/complex.c: (GST_START_TEST):
	  * tests/check/gnlsource.c: (GST_START_TEST):
	  * tests/check/simple.c: (GST_START_TEST):
	  Round of gst-indent and more utilities
	  * tests/check/gnloperation.c: (GST_START_TEST), (gnonlin_suite):
	  New test for multiple-input-pad operations. Needs more work

2008-05-26 11:30:03 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Exit properly if stack is empty.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (no_more_pads_object_cb):
	  Exit properly if stack is empty.

2008-05-18 21:47:16 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  docs/libs/.cvsignore: Ignore a couple more generated files.
	  Original commit message from CVS:
	  * docs/libs/.cvsignore:
	  Ignore a couple more generated files.

2008-05-16 15:20:31 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  Add some docs. The structure is based on the GStreamer plugin docs build, with an enhancement to allow having GnlObje...
	  Original commit message from CVS:
	  * configure.ac:
	  * docs/Makefile.am:
	  * docs/libs/.cvsignore:
	  * docs/libs/Makefile.am:
	  * docs/libs/gnonlin-docs.sgml:
	  * docs/libs/gnonlin-sections.txt:
	  * docs/libs/gnonlin.args:
	  * docs/libs/gnonlin.hierarchy:
	  * docs/libs/gnonlin.interfaces:
	  * docs/libs/gnonlin.prerequisites:
	  * docs/libs/gnonlin.signals:
	  * docs/libs/gnonlin.types:
	  * docs/libs/inspect-build.stamp:
	  * docs/libs/inspect.stamp:
	  * docs/libs/inspect/plugin-gnonlin.xml:
	  * docs/libs/scanobj-build.stamp:
	  * docs/libs/tmpl/gnl.sgml:
	  * docs/libs/tmpl/gnlcomposition.sgml:
	  * docs/libs/tmpl/gnlobject.sgml:
	  * docs/libs/tmpl/gnloperation.sgml:
	  * docs/libs/tmpl/gnlsource.sgml:
	  * docs/libs/tmpl/gnltimeline.sgml:
	  * gnl/gnlcomposition.c:
	  * gnl/gnlcomposition.h:
	  * gnl/gnlfilesource.c:
	  * gnl/gnlfilesource.h:
	  * gnl/gnlobject.c:
	  * gnl/gnloperation.c:
	  * gnl/gnloperation.h:
	  * gnl/gnlsource.c:
	  * gnl/gnltypes.h:
	  Add some docs. The structure is based on the GStreamer plugin docs
	  build, with an enhancement to allow having GnlObject (a plugin-private
	  base class) documented too.
	  Actual docs contents needs fleshing out.

2008-04-21 11:24:03 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnloperation.c: Fix small bug in debugging.
	  Original commit message from CVS:
	  * gnl/gnloperation.c: (gnl_operation_add_element):
	  Fix small bug in debugging.

2008-04-06 08:59:44 +0000  Damien Lespiau <damien.lespiau@gmail.com>

	  configure.ac: Actually build dlls when cross-compiling with mingw32.
	  Original commit message from CVS:
	  Patch by: Damien Lespiau <damien dot lespiau at gmail dot com>
	  * configure.ac:
	  Actually build dlls when cross-compiling with mingw32.
	  Fixes bug #526247.

2008-01-10 12:45:31 +0000  Sebastian Dröge <slomo@circular-chaos.org>

	  autogen.sh: Add -Wno-portability to the automake parameters to stop warnings about GNU make extensions being used. We...
	  Original commit message from CVS:
	  * autogen.sh:
	  Add -Wno-portability to the automake parameters to stop warnings
	  about GNU make extensions being used. We require GNU make in almost
	  every Makefile anyway.
	  * configure.ac:
	  Use AM_PROG_CC_C_O as a compiler that accepts both -c and -o
	  at the same time is required for per target flags.

2007-12-09 04:30:35 +0000  Sebastian Dröge <slomo@circular-chaos.org>

	  configure.ac: Don't define GST_DISABLE_DEPRECATED for releases. Fixes #498181.
	  Original commit message from CVS:
	  * configure.ac:
	  Don't define GST_DISABLE_DEPRECATED for releases. Fixes #498181.

2007-08-08 13:06:05 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle.
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle.

=== release 0.10.9 ===

2007-08-08 13:04:39 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Releasing 0.10.9
	  Original commit message from CVS:
	  Releasing 0.10.9

2007-08-01 08:09:45 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.8.2 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.8.2 pre-release

2007-07-30 15:08:57 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/common.h: Add a bigger function for creating a video source with specific media-start and media-duration.
	  Original commit message from CVS:
	  * tests/check/common.h:
	  Add a bigger function for creating a video source with specific
	  media-start and media-duration.
	  * tests/check/simple.c: (GST_START_TEST):
	  Let's check with non-obvious media-start/duration sources.

2007-07-23 16:45:03 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Added debugging comments on a race issue to fix.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c:
	  (get_new_seek_event): Added debugging
	  (seek_handling): comments on a race issue to fix.
	  (gnl_composition_event_handler): protect call to get_new_seek_event.
	  (update_pipeline): Update seek events need to be flushing if not in
	  PLAYING, else we will encounter deadlocks.
	  (object_start_changed), (object_stop_changed),
	  (object_priority_changed), (object_active_changed): If composition
	  has changed, we set segment->start to segment_start in the same way
	  we do when a segment has finished.

2007-07-02 14:44:04 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlobject.c: Don't forward QoS event upstreams until we properly implement the time-shifting.
	  Original commit message from CVS:
	  * gnl/gnlobject.c: (ghostpad_event_function):
	  Don't forward QoS event upstreams until we properly implement the
	  time-shifting.
	  See bug #398453

2007-06-16 16:54:04 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Unblock child source pads when the pads OR the elements are being removed.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (unblock_child_pads), (unblock_childs),
	  (unlock_child_state), (lock_child_state),
	  (gnl_composition_change_state), (object_pad_removed),
	  (gnl_composition_add_object), (gnl_composition_remove_object):
	  Unblock child source pads when the pads OR the elements are being
	  removed.
	  Also unblock those pads when going to READY/NULL.
	  Lock the state of gnlobjects being added, else it screws up state
	  changes of the composition.
	  Properly unref items when using GstIterators.
	  * gnl/gnloperation.c: (gnl_operation_class_init),
	  (gnl_operation_finalize), (get_unused_static_sink_pad),
	  (add_sink_pad):
	  memleak fixes.
	  * tests/check/common.h:
	  * tests/check/simple.c: (GST_START_TEST):
	  memleak fixes.

2007-06-15 16:36:42 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlsource.c: Let's stop using the main thread for other-thread processing and instead go the proper way and use y...
	  Original commit message from CVS:
	  * gnl/gnlsource.c: (ghost_seek_pad), (pad_blocked_cb):
	  Let's stop using the main thread for other-thread processing and
	  instead go the proper way and use yet-another-thread through
	  g_thread_create().
	  * gnl/gnlcomposition.c: (gnl_composition_handle_message):
	  Add a FIXME/WARNING related to switching to g_thread_create regarding
	  SEGMENT_DONE message handling. This requires a better look at than I
	  can give right now.

2007-05-22 11:58:46 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlsource.c: Use 'async-handling' property if available so our state change happens correctly with latest core mo...
	  Original commit message from CVS:
	  * gnl/gnlsource.c: (gnl_source_init):
	  Use 'async-handling' property if available so our state change happens
	  correctly with latest core modifications.

2007-05-22 11:50:17 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/: Allow adding objects in a composition WHILE playing.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (get_new_seek_event),
	  (get_current_position), (gnl_composition_event_handler),
	  (refine_start_stop_in_region_above_priority),
	  (convert_list_to_tree), (get_stack_list),
	  (get_clean_toplevel_stack), (are_same_stacks), (update_pipeline),
	  (gnl_composition_add_object):
	  * gnl/gnlobject.c: (translate_incoming_seek):
	  * gnl/gnlobject.h:
	  Allow adding objects in a composition WHILE playing.
	  Fixes #437105

2007-05-05 12:04:54 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle.
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle.

=== release 0.10.8 ===

2007-05-05 12:03:32 +0000  Edward Hervey <bilboed@bilboed.com>

	* NEWS:
	* RELEASE:
	* configure.ac:
	  Releasing GNonlin 0.10.8
	  Original commit message from CVS:
	  Releasing GNonlin 0.10.8

2007-05-05 12:02:53 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	  I'm too lazy to comment this
	  Original commit message from CVS:
	  *** empty log message ***

2007-05-03 15:17:27 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.7.2 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.7.2 pre-release

2007-05-02 17:01:51 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlobject.h: priority is a guint32 !
	  Original commit message from CVS:
	  * gnl/gnlobject.h:
	  priority is a guint32 !
	  * gnl/gnlcomposition.c: (priority_comp), (objects_start_compare),
	  (objects_stop_compare), (object_start_changed),
	  (object_stop_changed), (object_priority_changed),
	  (object_active_changed):
	  Fix major stupidity in GCompareFunc, the difference between 2 guint32
	  is not guaranteed to be correct within a gint :)
	  Fixes #435215

2007-04-12 16:18:45 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlobject.c: Don't forget to unset the target when removing a ghost pad, else the target will still be linked to ...
	  Original commit message from CVS:
	  * gnl/gnlobject.c: (gnl_object_remove_ghost_pad):
	  Don't forget to unset the target when removing a ghost pad, else the
	  target will still be linked to the no-longer-present-ghostpad internal
	  pad.
	  This is the "+500 power points" Jokosher bugfix.

2007-02-28 21:25:53 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  configure.ac: adapt to new AG_GST
	  Original commit message from CVS:
	  * configure.ac:
	  adapt to new AG_GST

2007-02-19 15:37:45 +0000  Wim Taymans <wim.taymans@gmail.com>

	  gnl/: Fix some leaks.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (no_more_pads_object_cb),
	  (compare_relink_single_node), (update_pipeline):
	  * gnl/gnlobject.c: (control_internal_pad),
	  (gnl_object_ghost_pad_full):
	  * gnl/gnlsource.c: (ghost_seek_pad):
	  Fix some leaks.

2007-01-26 17:09:47 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle.
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle.

2007-01-26 17:08:32 +0000  Edward Hervey <bilboed@bilboed.com>

	* NEWS:
	* RELEASE:
	* configure.ac:
	  Releasing GNonLin 0.10.7 "Anything better?"
	  Original commit message from CVS:
	  Releasing GNonLin 0.10.7 "Anything better?"
	  ----------------------------------------------------------------------

2007-01-26 17:07:48 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	  I'm too lazy to comment this
	  Original commit message from CVS:
	  *** empty log message ***

2007-01-24 17:08:14 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Bump requirement to GStreamer core 0.10.9 pre-releasing gnonlin 0.10.6.2
	  Original commit message from CVS:
	  * configure.ac:
	  Bump requirement to GStreamer core 0.10.9
	  pre-releasing gnonlin 0.10.6.2

2007-01-22 16:01:56 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlfilesource.c: Use decodebin2 if the USE_DECODEBIN2 env variable is set.
	  Original commit message from CVS:
	  * gnl/gnlfilesource.c: (gnl_filesource_init):
	  Use decodebin2 if the USE_DECODEBIN2 env variable is set.

2007-01-10 16:55:26 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Add 'modify' boolean parameter to update_pipeline(). This is needed for cases where the timelin...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_reset),
	  (segment_done_main_thread), (seek_handling), (handle_seek_event),
	  (gnl_composition_event_handler),
	  (gnl_composition_ghost_pad_set_target), (convert_list_to_tree),
	  (get_stack_list), (get_clean_toplevel_stack),
	  (gnl_composition_change_state), (update_start_stop_duration),
	  (no_more_pads_object_cb), (compare_relink_single_node),
	  (compare_deactivate_single_node), (compare_relink_stack),
	  (update_pipeline), (object_start_changed), (object_stop_changed),
	  (object_priority_changed), (object_active_changed),
	  (gnl_composition_add_object), (gnl_composition_remove_object):
	  Add 'modify' boolean parameter to update_pipeline(). This is needed
	  for cases where the timeline is being updated because of modifications
	  in the timeline. In that case, flush events need to be sent downstream
	  so that the streaming threads are properly released and no longer
	  blocking on downstream elements/pads.
	  Add more debugging statements a bit everywhere.
	  Re-indent all code.

2006-11-27 20:28:20 +0000  Edward Hervey <bilboed@bilboed.com>

	  RELEASE: Ouch, forgot to update the release file.
	  Original commit message from CVS:
	  * RELEASE:
	  Ouch, forgot to update the release file.
	  Personal note : REMEMBER IT'S HERE !!!

2006-11-27 20:06:27 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle.
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle.

=== release 0.10.6 ===

2006-11-27 20:03:45 +0000  Edward Hervey <bilboed@bilboed.com>

	* NEWS:
	* configure.ac:
	  GNonLin 0.10.6 "Who stole my beard ?" release
	  Original commit message from CVS:
	  GNonLin 0.10.6 "Who stole my beard ?" release
	  ----------------------------------------------------------------------

2006-11-27 20:02:53 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	  I'm too lazy to comment this
	  Original commit message from CVS:
	  *** empty log message ***

2006-11-23 20:01:11 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.5.2 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.5.2 pre-release

2006-11-03 13:52:07 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Recalculate start/stop/duration of composition when adding a default source.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_add_object):
	  Recalculate start/stop/duration of composition when adding a default
	  source.
	  * tests/check/complex.c: (GST_START_TEST):
	  Modify test so it also test for the case where the composition starts
	  with a default source.

2006-11-03 11:46:52 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: If we have a default source, the composition start value is always 0.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (handle_seek_event),
	  (gnl_composition_event_handler), (update_start_stop_duration):
	  If we have a default source, the composition start value is always 0.
	  Don't rely on incoming seek event, create a new one from calculated
	  values.

2006-11-02 11:59:55 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Take into account the priority of default sources when calculating the highest priority. This f...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (convert_list_to_tree):
	  Take into account the priority of default sources when calculating the
	  highest priority. This fixes #362399
	  * tests/check/gnloperation.c: (GST_START_TEST), (gnonlin_suite):
	  Unit test for fixed behaviour.

2006-11-02 10:14:44 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Better check for the 'next stop' of a stack. It will now look at all objects under the highest ...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_ghost_pad_set_target),
	  (next_stop_in_region_above_priority), (convert_list_to_tree),
	  (get_stack_list), (get_clean_toplevel_stack),
	  (gnl_composition_remove_object):
	  Better check for the 'next stop' of a stack. It will now look at all
	  objects under the highest priority (and not the lowest as previously).
	  Fixes #356380.
	  Set new pads as active.
	  Add some debug.
	  * gnl/gnlobject.c: (gnl_object_ghost_pad_full):
	  * gnl/gnloperation.c: (gnl_operation_add_element), (add_sink_pad):
	  Activate new pads.
	  * tests/check/gnloperation.c: (GST_START_TEST), (gnonlin_suite):
	  Added new test (test_pyramid_operations) to test issues fixed for
	  #356380.
	  * tests/check/simple.c: (GST_START_TEST):
	  Unref sinkpads before testing some issues.

2006-09-16 16:55:21 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/: gst_element_link_filtered() does not take the refcount on the caps.
	  Original commit message from CVS:
	  * tests/check/common.h:
	  * tests/check/complex.c: (GST_START_TEST):
	  gst_element_link_filtered() does not take the refcount on the caps.
	  Therefore we unref the caps after use.

2006-09-16 16:36:10 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/common.h: Added convenience function to create a int/float audiotest gnlsource.
	  Original commit message from CVS:
	  * tests/check/common.h:
	  Added convenience function to create a int/float audiotest gnlsource.
	  * tests/check/complex.c: (GST_START_TEST), (gnonlin_suite):
	  Added test_renegotiation to test re-negotiation error seen in #352827

2006-09-16 15:59:31 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/.cvsignore: add gnloperation
	  Original commit message from CVS:
	  * tests/check/.cvsignore:
	  add gnloperation

2006-09-16 15:53:09 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/Makefile.am: add common.h
	  Original commit message from CVS:
	  * tests/check/Makefile.am:
	  add common.h

2006-09-16 15:40:46 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/: Single header file that contains all the common functions and structures for the gnonlin tests.
	  Original commit message from CVS:
	  * tests/check/Makefile.am:
	  * tests/check/common.h:
	  Single header file that contains all the common functions and structures
	  for the gnonlin tests.
	  * tests/check/complex.c:
	  * tests/check/gnlsource.c: (GST_START_TEST):
	  * tests/check/simple.c:
	  Switch to using common.h , makes test files smaller.
	  * tests/check/gnloperation.c: (GST_START_TEST), (gnonlin_suite),
	  (main):
	  Created new test for gnloperations, starting with one that tests adding
	  and removing operations, and checking that the outputted segments are
	  correct.

2006-09-07 08:14:22 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlfilesource.c: Add pad templates to GnlFileSource so we can use it properly with gst-launch.
	  Original commit message from CVS:
	  * gnl/gnlfilesource.c: (gnl_filesource_class_init):
	  Add pad templates to GnlFileSource so we can use it properly
	  with gst-launch.

2006-08-31 11:48:47 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Set all properties of default sources in one g_object_set().
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_add_object):
	  Set all properties of default sources in one g_object_set().

2006-08-30 15:58:34 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: When unlinking source/operations , flush the parent's sink pad, so any stream locks are released.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c:
	  (compare_deactivate_single_node):
	  When unlinking source/operations , flush the parent's sink pad, so any
	  stream locks are released.
	  * gnl/gnloperation.c:
	  (element_is_valid_filter): Scan pads AND templates to figure out if the
	  element is a valid filter, and properly establish if it has dynamic
	  pads,
	  (get_unused_static_sink_pad):
	  comments,
	  (get_request_sink_pad):
	  New function for getting request sink pads.
	  (add_sink_pad):
	  Add support for request sink pads,
	  (synchronize_sinks):
	  Don't try to add pads if it fails.
	  * gnl/gnlsource.c:
	  (ghost_seek_pad):
	  Emit 'no-more-pads' after unblocking the controlled source pad. Not
	  doing this would cause deadlocks in compositions with operations.

2006-08-25 15:01:13 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Remove the ghostpad if the composition becomes empty.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (update_pipeline):
	  Remove the ghostpad if the composition becomes empty.

2006-08-24 13:00:29 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Only set ghostpad target and/or send seek event once all the objects of the stack are linked.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_init),
	  (gnl_composition_reset), (gnl_composition_event_handler),
	  (no_more_pads_object_cb), (compare_relink_single_node),
	  (compare_relink_stack), (update_pipeline):
	  Only set ghostpad target and/or send seek event once all the objects of
	  the stack are linked.
	  Fixes #352389
	  This is done through the use of comp->private->waitingpads.
	  Simplified update_pipeline accordingly.
	  Added more comments.

2006-08-24 12:59:30 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Only set ghostpad target and/or send seek event once all the objects of the stack are linked.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_init),
	  (gnl_composition_reset), (gnl_composition_event_handler),
	  (no_more_pads_object_cb), (compare_relink_single_node),
	  (compare_relink_stack), (update_pipeline):
	  Only set ghostpad target and/or send seek event once all the objects of
	  the stack are linked.
	  This is done through the use of comp->private->waitingpads.
	  Simplified update_pipeline accordingly.
	  Added more comments.

2006-08-23 16:58:55 +0000  Wim Taymans <wim.taymans@gmail.com>

	  gnl/gnlobject.c: Add extra explanation for priority property, Fixes #352382.
	  Original commit message from CVS:
	  * gnl/gnlobject.c: (gnl_object_class_init), (control_internal_pad),
	  (gnl_object_ghost_pad_no_target):
	  Add extra explanation for priority property, Fixes #352382.

2006-08-23 10:52:42 +0000  Wim Taymans <wim.taymans@gmail.com>

	  gnl/gnloperation.c: Fix leaks in iterators.
	  Original commit message from CVS:
	  * gnl/gnloperation.c: (gnl_operation_class_init),
	  (element_is_valid_filter), (gnl_operation_add_element),
	  (gnl_operation_set_sinks), (get_unused_static_sink_pad),
	  (add_sink_pad), (gnl_operation_request_new_pad):
	  Fix leaks in iterators.
	  Correctly resync iterators too.

2006-08-18 11:10:22 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlobject.c: Free internal pad private data when the pad is being finalized, else we leak that structure.
	  Original commit message from CVS:
	  * gnl/gnlobject.c: (internal_pad_finalizing),
	  (control_internal_pad):
	  Free internal pad private data when the pad is being finalized, else
	  we leak that structure.

2006-08-18 10:46:44 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Properly handle ghostpads without targets.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c:
	  (gnl_composition_ghost_pad_set_target):
	  Properly handle ghostpads without targets.
	  (convert_list_to_tree), (compare_relink_single_node),
	  (compare_deactivate_single_node), (update_pipeline):
	  First integration of support for GnlOperations.
	  (gnl_composition_add_object):
	  If composition was empty and initialized, update pipeline.

2006-08-09 16:44:00 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlobject.c: Remove useless linkfunc/unlinkfunc from GnlPadPrivate structure.
	  Original commit message from CVS:
	  * gnl/gnlobject.c:
	  Remove useless linkfunc/unlinkfunc from GnlPadPrivate structure.
	  (control_internal_pad),
	  Remove call to useless functions.
	  (gnl_object_ghost_pad_no_target),
	  (gnl_object_ghost_pad_set_target):
	  * gnl/gnloperation.c: (gnl_operation_class_init),
	  (element_is_valid_filter), (gnl_operation_add_element),
	  (gnl_operation_set_sinks), (get_unused_static_sink_pad),
	  (add_sink_pad), (gnl_operation_request_new_pad),
	  (gnl_operation_release_pad):
	  Implemented GstElement::request_new_pad virtual method.
	  Improved sink ghost pads synchronisation with the nbsinks property.
	  * gnl/gnloperation.h:
	  Added comments.

2006-07-27 16:00:35 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnl.c: Let's welcome GnlOperation back in the game.
	  Original commit message from CVS:
	  * gnl/gnl.c:
	  Let's welcome GnlOperation back in the game.
	  * gnl/gnlcomposition.c: (gnl_composition_init),
	  (gnl_composition_dispose), (gnl_composition_finalize),
	  (gnl_composition_reset), (segment_done_main_thread),
	  (gnl_composition_handle_message), (get_new_seek_event),
	  (seek_handling), (pad_blocked),
	  (gnl_composition_ghost_pad_set_target),
	  (next_stop_in_region_above_priority), (convert_list_to_tree),
	  (get_stack_list), (get_clean_toplevel_stack),
	  (gnl_composition_change_state), (update_start_stop_duration),
	  (no_more_pads_object_cb), (compare_relink_single_node),
	  (compare_deactivate_single_node), (compare_relink_stack),
	  (unlock_activate_stack), (update_pipeline), (object_pad_added),
	  (gnl_composition_add_object), (gnl_composition_remove_object):
	  * gnl/gnloperation.h:
	  Switch to using a tree of GNode for the current stack.
	  It's faster (since it does more checks in one go) and has more
	  potential for speed improvements when updating the
	  pipeline.
	  * gnl/gnloperation.c: (gnl_operation_class_init),
	  (gnl_operation_reset), (gnl_operation_init),
	  (element_is_valid_filter), (get_src_pad),
	  (gnl_operation_add_element), (gnl_operation_remove_element),
	  (gnl_operation_set_property), (gnl_operation_get_property),
	  (add_sink_pad), (remove_sink_pad), (synchronize_sinks):
	  Added more comments and fixme's.
	  * gnl/gnlobject.c: (internalpad_event_function),
	  (ghostpad_event_function), (gnl_object_ghost_pad_full),
	  (gnl_object_change_state):
	  * gnl/gnlsource.c: (gnl_source_prepare), (element_pad_added_cb),
	  (element_pad_removed_cb), (ghost_seek_pad),
	  (gnl_source_change_state):
	  gst-indent fixups.

2006-07-25 16:29:05 +0000  cascardo at holoscopio dot com <cascardo@holoscopio.com>

	  gnl/gnlfilesource.c: Typo error. There's no filesource element, it's filesrc.
	  Original commit message from CVS:
	  * gnl/gnlfilesource.c: (gnl_filesource_init):
	  Typo error. There's no filesource element, it's filesrc.
	  Patch from cascardo at holoscopio dot com

2006-07-20 16:22:54 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle

=== release 0.10.5 ===

2006-07-20 16:21:12 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	  0.10.5 "Beavis and Zidane" release
	  Original commit message from CVS:
	  0.10.5 "Beavis and Zidane" release

2006-07-20 15:46:41 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Fix typo in debug statement.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c:
	  Fix typo in debug statement.

2006-07-19 12:31:06 +0000  Edward Hervey <bilboed@bilboed.com>

	  Memleak fixes in composition and tests.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (update_pipeline):
	  * tests/check/complex.c: (sinkpad_event_probe), (GST_START_TEST):
	  * tests/check/gnlsource.c: (sinkpad_event_probe), (GST_START_TEST):
	  * tests/check/simple.c: (sinkpad_event_probe), (GST_START_TEST):
	  Memleak fixes in composition and tests.

2006-07-19 11:36:57 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlsource.c: Try to send pending event before emitting no-more-pads and unblocking controlled src pad.
	  Original commit message from CVS:
	  * gnl/gnlsource.c: (ghost_seek_pad):
	  Try to send pending event before emitting no-more-pads and unblocking
	  controlled src pad.

2006-07-19 10:45:00 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Add default sources properly (sources with prioriy of G_MAXUINT32).
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_class_init),
	  (hash_value_destroy), (gnl_composition_init), (get_stack_list),
	  (update_start_stop_duration), (object_start_changed),
	  (object_stop_changed), (object_priority_changed),
	  (object_active_changed), (gnl_composition_add_object),
	  (gnl_composition_remove_object):
	  Add default sources properly (sources with prioriy of G_MAXUINT32).
	  Update pipeline when:
	  _ object is added/removed within current playing segment
	  _ object within current playing segment whose start/stop/priority/active
	  property changes.
	  * tests/check/complex.c: (GST_START_TEST):
	  * tests/check/gnlsource.c: (GST_START_TEST):
	  Fixed tests to test more behaviours, including new ones.

2006-07-16 15:47:36 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnonlin.pc.in: removing file from CVS.
	  Original commit message from CVS:
	  * gnonlin.pc.in: removing file from CVS.
	  * configure.ac: pre-release 0.10.4.3

2006-07-11 16:41:10 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Require core >= 0.10.8.1 (for ghostpad and blocking fixes).
	  Original commit message from CVS:
	  * configure.ac:
	  Require core >= 0.10.8.1 (for ghostpad and blocking fixes).
	  * gnl/gnlcomposition.c: (hash_value_destroy), (unlock_childs),
	  (gnl_composition_reset), (segment_done_main_thread),
	  (get_new_seek_event), (handle_seek_event),
	  (gnl_composition_ghost_pad_set_target),
	  (gnl_composition_change_state), (no_more_pads_object_cb),
	  (update_pipeline), (object_start_changed), (object_stop_changed),
	  (object_priority_changed), (object_active_changed),
	  (object_pad_added), (gnl_composition_add_object),
	  (gnl_composition_remove_object):
	  All source pads created are now blocked by default.
	  Don't lock the state of sources in READY. Let them all reach paused.
	  Remove cruft now fixed in GStreamer core.
	  * gnl/gnlobject.c: (internalpad_event_function),
	  (ghostpad_event_function), (control_internal_pad),
	  (ghostpad_link_function), (gnl_object_ghost_pad_full),
	  (gnl_object_ghost_pad_no_target),
	  (gnl_object_ghost_pad_set_target):
	  * gnl/gnlobject.h:
	  Remove all the cruft which is now fixed in GStreamer core.
	  * gnl/gnlsource.c: (gnl_source_prepare), (element_pad_added_cb),
	  (element_pad_removed_cb), (ghost_seek_pad), (pad_blocked_cb),
	  (gnl_source_change_state):
	  Remove all the pad blocking on events with ghostpad cruft which is
	  now fixed in GStreamer core.

2006-07-03 09:57:02 +0000  Edward Hervey <bilboed@bilboed.com>

	  Make gnonlin build properly on CygWin.
	  Original commit message from CVS:
	  * Makefile.am:
	  * configure.ac:
	  Make gnonlin build properly on CygWin.
	  Fixes #341492

2006-06-18 11:55:59 +0000  Edward Hervey <bilboed@bilboed.com>

	  docs/random/design: Precision about gnloperation sinks property.
	  Original commit message from CVS:
	  * docs/random/design:
	  Precision about gnloperation sinks property.
	  * gnl/gnlcomposition.c: (gnl_composition_init),
	  (gnl_composition_finalize), (lock_child_state),
	  (gnl_composition_reset), (segment_done_main_thread),
	  (gnl_composition_handle_message), (seek_handling),
	  (handle_seek_event), (pad_blocked),
	  (gnl_composition_ghost_pad_set_target),
	  (update_start_stop_duration), (compare_relink_stack),
	  (update_pipeline), (object_start_changed), (object_stop_changed):
	  Non-racy seeking handling. All seeks are put in the main thread.
	  A lock-protected value takes care of discarding previous seeks. This
	  avoids freeze situations when scrubbing/seeking a lot.
	  Use of pad blocks for non-used sources.
	  * gnl/gnlobject.c: (internalpad_event_function),
	  (gnl_pad_set_blocked_async), (gnl_pad_add_event_probe),
	  (gnl_pad_remove_event_probe):
	  * gnl/gnlobject.h:
	  Emit 'segment-start' message when we receive a newsegment event. This
	  allows the composition to know when a seek is really starting and
	  therefore stop all pending seeks.
	  Added functions (hacks) for recursive ghostpad handling. Should go
	  away once the issue is fixed in core (See #341029).
	  * gnl/gnlsource.c: (element_pad_added_cb),
	  (element_pad_removed_cb), (ghost_seek_pad),
	  (gnl_source_change_state):
	  Use gnl_pad_* recursive ghostpads hack functions.
	  * tests/check/simple.c: (GST_START_TEST):
	  Fix comment

2006-06-12 13:15:39 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: pre-release 0.10.4.2
	  Original commit message from CVS:
	  * configure.ac: pre-release 0.10.4.2

2006-06-12 12:43:43 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/complex.c: Added unit-test for the previous fixes to gnlcomposition with default sources.
	  Original commit message from CVS:
	  * tests/check/complex.c: (GST_START_TEST), (gnonlin_suite):
	  Added unit-test for the previous fixes to gnlcomposition with default
	  sources.

2006-06-12 11:33:05 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Fixed wrong get_stack_list(), stop at the correct place.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (next_stop_in_region_above_priority),
	  (get_stack_list):
	  Fixed wrong get_stack_list(), stop at the correct place.
	  Stop iterating as soon as possible in next_stop_in_region..().

2006-06-11 11:22:58 +0000  Edward Hervey <bilboed@bilboed.com>

	  docs/random/design: Fleshed up design doc a bit more.
	  Original commit message from CVS:
	  * docs/random/design:
	  Fleshed up design doc a bit more.

2006-06-10 23:27:10 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* tests/check/.gitignore:
	  ignore more and fix the build
	  Original commit message from CVS:
	  ignore more and fix the build

2006-06-08 15:44:59 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Composition now looks for anything hiding the configured segment, in order to properly adjust t...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (next_stop_in_region_above_priority),
	  (get_clean_toplevel_stack):
	  Composition now looks for anything hiding the configured segment, in
	  order to properly adjust the end of the configured segment.
	  This should make default sources work.
	  * gnl/gnloperation.c: (gnl_operation_class_init),
	  (gnl_operation_init), (element_is_valid_filter),
	  (gnl_operation_add_element), (gnl_operation_remove_element),
	  (gnl_operation_set_sinks), (gnl_operation_set_property),
	  (gnl_operation_get_property), (add_sink_pad), (remove_sink_pad),
	  (synchronize_sinks), (gnl_operation_prepare):
	  * gnl/gnloperation.h:
	  First big update. Still some more work to do though.
	  * tests/check/complex.c: (gnonlin_suite):
	  Re-activated testsuite to check for 'hiding' situations.

2006-06-06 16:29:55 +0000  Edward Hervey <bilboed@bilboed.com>

	  docs/random/design: Updated to real 0.10 behaviour + added details.
	  Original commit message from CVS:
	  * docs/random/design:
	  Updated to real 0.10 behaviour + added details.

2006-05-31 09:43:48 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlsource.c: initial seek event is in object time realm.
	  Original commit message from CVS:
	  * gnl/gnlsource.c: (gnl_source_prepare):
	  initial seek event is in object time realm.

2006-05-23 10:02:05 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Protect critical part with comp_objects_lock.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_dispose),
	  (gnl_composition_ghost_pad_set_target), (update_pipeline),
	  (gnl_composition_event_handler):
	  Protect critical part with comp_objects_lock.
	  Don't unref pad given to gnl_composition_ghost_pad_set_target().
	  * tests/check/complex.c: (GST_START_TEST):
	  * tests/check/gnlsource.c: (GST_START_TEST):
	  * tests/check/simple.c: (GST_START_TEST):
	  memleak fixes in tests.

2006-05-22 16:18:43 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Change the composition's ghostpad target at the same time as we send the seek event. This avoid...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (no_more_pads_object_cb),
	  (update_pipeline):
	  Change the composition's ghostpad target at the same time as we send the
	  seek event. This avoids the case where we check for the pad availability
	  too early (not present) and then never switch the ghostpad target.
	  * gnl/gnlsource.c: (gnl_source_change_state):
	  if we don't have a controlled element, don't even care about calling
	  parent's _change_state()

2006-05-21 09:21:18 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlsource.c: Handle the case where more than one pads of the controlled element is a valid src pad (intersects wi...
	  Original commit message from CVS:
	  * gnl/gnlsource.c: (element_pad_added_cb), (ghost_seek_pad),
	  (gnl_source_change_state):
	  Handle the case where more than one pads of the controlled element is
	  a valid src pad (intersects with the caps).

2006-05-11 12:07:31 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle.
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle.

=== release 0.10.4 ===

2006-05-11 12:06:15 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* configure.ac:
	  Releasing 0.10.4 "Solomillo de Ternera"
	  Original commit message from CVS:
	  Releasing 0.10.4 "Solomillo de Ternera"

2006-05-10 18:02:58 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Fix for correctly playing compositions with gaps between objects.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (get_clean_toplevel_stack),
	  (update_pipeline):
	  Fix for correctly playing compositions with gaps between objects.
	  * tests/check/Makefile.am:
	  * tests/check/complex.c: (gst_element_factory_make_or_warn),
	  (composition_pad_added_cb), (compare_segments),
	  (sinkpad_event_probe), (sinkpad_buffer_probe), (videotest_gnl_src),
	  (videotest_in_bin_gnl_src), (segment_new), (GST_START_TEST),
	  (gnonlin_suite), (main):
	  Added new unittests for compositions with gaps between objects.
	  * tests/check/simple.c: (gnonlin_suite):
	  Moved de-activated test_one_above_another to complex

2006-05-10 14:48:50 +0000  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  Reverting cruft that went in previous commit to configure.ac
	  Original commit message from CVS:
	  Reverting cruft that went in previous commit to configure.ac

2006-05-10 14:44:10 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.3.2 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.3.2 pre-release

2006-05-08 16:47:47 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlsource.c: Don't call ghost_seek_pad() in the event probe and only discard the events. The buffer probe will ev...
	  Original commit message from CVS:
	  * gnl/gnlsource.c: (pad_event_probe):
	  Don't call ghost_seek_pad() in the event probe and only discard
	  the events. The buffer probe will eventually take care of that.
	  This guarantees that upstream elements are initialized and ready to
	  handle seek events.

2006-05-08 14:04:34 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/: Indent properly using gstreamer/tools/gst-indent
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_finalize),
	  (gnl_composition_handle_message),
	  (gnl_composition_ghost_pad_set_target),
	  (gnl_composition_change_state), (no_more_pads_object_cb),
	  (update_pipeline):
	  * gnl/gnlfilesource.c: (gnl_filesource_init):
	  * gnl/gnlobject.c: (translate_incoming_seek),
	  (gnl_object_ghost_pad_full), (gnl_object_remove_ghost_pad),
	  (gnl_object_change_state):
	  * gnl/gnlsource.c: (gnl_source_class_init), (gnl_source_prepare),
	  (element_pad_added_cb), (element_pad_removed_cb), (ghost_seek_pad),
	  (pad_event_probe), (has_dynamic_srcpads),
	  (gnl_source_control_element_func), (gnl_source_add_element),
	  (gnl_source_remove_element), (gnl_source_change_state):
	  * gnl/gnlsource.h:
	  Indent properly using gstreamer/tools/gst-indent

2006-05-08 14:00:10 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Convert non-fatal GST_WARNING to GST_DEBUG.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_ghost_pad_set_target),
	  (get_src_pad), (update_pipeline):
	  Convert non-fatal GST_WARNING to GST_DEBUG.

2006-05-08 12:02:29 +0000  Edward Hervey <bilboed@bilboed.com>

	  autogen.sh: Update dependency checking
	  Original commit message from CVS:
	  * autogen.sh:
	  Update dependency checking

2006-05-08 11:29:53 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlfilesource.c: No more redundant bin containing filesrc and decodebin.
	  Original commit message from CVS:
	  * gnl/gnlfilesource.c: (gnl_filesource_class_init),
	  (gnl_filesource_init):
	  No more redundant bin containing filesrc and decodebin.
	  We use the GnlSource controls_one and control_element() class properties
	  to inform GnlSource it should control decodebin but still accept
	  filesrc.
	  * gnl/gnlsource.c: (gnl_source_class_init),
	  (gnl_source_control_element_func), (gnl_source_add_element),
	  (gnl_source_remove_element):
	  * gnl/gnlsource.h:
	  Added two class properties:
	  _ controls_one which tells whether the class controls only one object
	  _ control_element() virtual_method which should be called by subclasses
	  that have several elements to specify which element should be checked
	  for pad-added/pad-removed.

2006-05-05 16:23:06 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlfilesource.*: Simplify GnlFileSource to be a subclass of GnlSource.
	  Original commit message from CVS:
	  * gnl/gnlfilesource.c: (gnl_filesource_class_init),
	  (decodebin_pad_added_cb), (find_ghost_pad),
	  (decodebin_pad_removed_cb), (gnl_filesource_init):
	  * gnl/gnlfilesource.h:
	  Simplify GnlFileSource to be a subclass of GnlSource.
	  * gnl/gnlsource.c: (element_pad_added_cb),
	  (gnl_source_change_state):
	  Add event probe for dynamic pads too.
	  Don't error out in state_change.

2006-05-05 12:34:32 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/: Remove gnlmarshal cruft that dates from... well....
	  Original commit message from CVS:
	  * gnl/Makefile.am:
	  * gnl/gnlfilesource.c:
	  * gnl/gnlmarshal.list:
	  * gnl/gnlobject.c:
	  * gnl/gnloperation.c:
	  * gnl/gnlsource.c:
	  Remove gnlmarshal cruft that dates from... well....
	  Ok, fine, that was here since 0.8 era and not used since :)

2006-05-05 12:10:23 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: If srcpad of top gnlobject is not available, store pending child seek so we can send it when th...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_dispose),
	  (lock_child_state), (gnl_composition_reset), (get_new_seek_event),
	  (gnl_composition_change_state), (no_more_pads_object_cb),
	  (update_pipeline):
	  If srcpad of top gnlobject is not available, store pending child seek so
	  we can send it when the pad appears.
	  Lock all childs in READY. They will be automatically (un)locked in
	  update_pipeline()
	  Add GST_SEEK_FLAG_ACCURATE to the seek event.
	  * gnl/gnlobject.c: (translate_incoming_seek),
	  (gnl_object_change_state):
	  Add GST_SEEK_FLAG_ACCURATE to incoming seek events if it wasn't already
	  there.
	  GnlObject::update() virtual method is called in READY->PAUSED before
	  calling the parent _change_state()
	  * gnl/gnlsource.c: (gnl_source_class_init), (gnl_source_prepare),
	  (element_pad_removed_cb), (ghost_seek_pad), (pad_blocked_cb),
	  (pad_event_probe), (gnl_source_add_element),
	  (gnl_source_change_state):
	  We need to block on events. Added an event_probe for that.
	  Implement GnlObject::prepare() so we can create a seek event if the
	  GnlSource is used stand-alone (not in composition).
	  * tests/check/Makefile.am:
	  * tests/check/gnlsource.c: (gst_element_factory_make_or_warn),
	  (gnlsource_pad_added_cb), (compare_segments),
	  (sinkpad_event_probe), (sinkpad_buffer_probe), (videotest_gnl_src),
	  (videotest_in_bin_gnl_src), (segment_new), (GST_START_TEST),
	  (gnonlin_suite), (main):
	  New unit test for testing standalone GnlSource behaviour
	  * tests/check/simple.c: (composition_pad_added_cb),
	  (sinkpad_event_probe), (sinkpad_buffer_probe),
	  (videotest_in_bin_gnl_src), (GST_START_TEST), (gnonlin_suite):
	  I have to admit the tests were... really borked.
	  Now they're much more sensitive.

2006-04-25 15:44:10 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle

=== release 0.10.3 ===

2006-04-25 15:42:21 +0000  Edward Hervey <bilboed@bilboed.com>

	* NEWS:
	* configure.ac:
	  Releasing 0.10.3 "Birthday Cake"
	  Original commit message from CVS:
	  Releasing 0.10.3 "Birthday Cake"

2006-04-25 15:41:28 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	  I'm too lazy to comment this
	  Original commit message from CVS:
	  *** empty log message ***

2006-04-25 11:28:43 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlfilesource.c: First event sent in _prepare() should have the flush flag.
	  Original commit message from CVS:
	  * gnl/gnlfilesource.c: (gnl_filesource_prepare),
	  (gnl_filesource_send_event):
	  First event sent in _prepare() should have the flush flag.
	  Smells like a second paperbag release...

2006-04-21 16:35:27 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle

=== release 0.10.2 ===

2006-04-21 16:33:33 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* common:
	* configure.ac:
	  Releasing 0.10.2 "... Y un cafe solo"
	  Original commit message from CVS:
	  Releasing 0.10.2 "... Y un cafe solo"

2006-04-10 12:05:52 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlobject.c: 'really' wrong state_change handling
	  Original commit message from CVS:
	  * gnl/gnlobject.c: (gnl_object_change_state):
	  'really' wrong state_change handling

2006-04-07 09:18:02 +0000  Edward Hervey <bilboed@bilboed.com>

	  COPYING: Convert all remaining files to be coherent with the change to LGPL licensing.
	  Original commit message from CVS:
	  * COPYING:
	  Convert all remaining files to be coherent with the change to LGPL
	  licensing.

2006-04-07 09:14:17 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development (for good)
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development (for good)

=== release 0.10.1 ===

2006-04-06 17:03:33 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  releasing 0.10.1
	  Original commit message from CVS:
	  releasing 0.10.1

2006-04-06 16:53:51 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* po/Makefile.in.in:
	* po/Rules-quot:
	* po/boldquot.sed:
	* po/en@boldquot.header:
	* po/en@quot.header:
	* po/insert-header.sin:
	* po/quot.sed:
	* po/remove-potcdate.sin:
	  remove po dir
	  Original commit message from CVS:
	  remove po dir

2006-04-06 15:47:50 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: back to development
	  Original commit message from CVS:
	  * configure.ac:
	  back to development

2006-04-06 15:45:22 +0000  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  idiotic cicl
	  Original commit message from CVS:
	  idiotic cicl

2006-04-06 15:42:00 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* common:
	  I'm too lazy to comment this
	  Original commit message from CVS:
	  *** empty log message ***

2006-04-05 17:46:30 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.0.11 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.0.11 pre-release

2006-04-05 17:45:37 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: more memleak fixes.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_finalize),
	  (gnl_composition_handle_message), (gnl_composition_change_state),
	  (gnl_composition_add_object), (gnl_composition_remove_object):
	  more memleak fixes.
	  * gnl/gnlsource.c: (gnl_source_dispose), (gnl_source_finalize):
	  more debug.
	  * tests/check/simple.c: (GST_START_TEST), (gnonlin_suite):
	  Add more debug and refcount checks.

2006-04-05 13:47:07 +0000  Edward Hervey <bilboed@bilboed.com>

	* tests/check/Makefile.am:
	  non debug, makes thomasvs blood pressure go up too quickly... and makes the buildbot go crazy too.
	  Original commit message from CVS:
	  non debug, makes thomasvs blood pressure go up too quickly... and makes the buildbot go crazy too.

2006-04-05 13:32:00 +0000  Edward Hervey <bilboed@bilboed.com>

	* tests/check/Makefile.am:
	  debug
	  Original commit message from CVS:
	  debug

2006-04-05 13:10:17 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/Makefile.am: Increasing timeout for tests since we're asking a lot
	  Original commit message from CVS:
	  * tests/check/Makefile.am:
	  Increasing timeout for tests since we're asking a lot

2006-04-05 13:03:53 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Only force state change in (update_pipeline) when not being called from state_change().
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (ready_and_lock_child_state),
	  (gnl_composition_handle_message), (handle_seek_event),
	  (gnl_composition_change_state), (update_pipeline),
	  (object_start_changed), (object_stop_changed),
	  (object_priority_changed), (object_active_changed),
	  (gnl_composition_add_object), (gnl_composition_remove_object):
	  Only force state change in (update_pipeline) when not being called from
	  state_change().
	  Properly emit EOS/SEGMENT_DONE at the end, but don't emit SEGMENT_DONE
	  for intermediate steps.
	  * gnl/gnlfilesource.c:
	  cleanup
	  * gnl/gnlobject.c: (gnl_object_ghost_pad_full),
	  (gnl_object_remove_ghost_pad):
	  more debug statements
	  * gnl/gnlsource.c: (gnl_source_class_init), (gnl_source_dispose),
	  (gnl_source_finalize), (element_pad_added_cb),
	  (element_pad_removed_cb), (ghost_seek_pad), (pad_blocked_cb),
	  (has_dynamic_srcpads), (gnl_source_add_element),
	  (gnl_source_remove_element), (gnl_source_send_event),
	  (gnl_source_change_state):
	  Make GnlSource more generic.
	  It now works with dynamic and non-dynamic source pads.
	  Eventually we'll be able to subclass GnlFileSource from GnlSource and
	  remove most of the duplicated code.
	  * tests/check/simple.c: (GST_START_TEST):
	  Removed wrong newsegment checks
	  Added lots more assertions

2006-04-05 09:10:51 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/Makefile.am: Remove buildbot debug craziness since I now know what the problem is.
	  Original commit message from CVS:
	  * tests/check/Makefile.am:
	  Remove buildbot debug craziness since I now know what the problem is.

2006-04-05 09:06:42 +0000  Christian Schaller <uraeus@gnome.org>

	* common:
	* gnonlin.spec.in:
	  removing uneeded stuff from the spec file
	  Original commit message from CVS:
	  removing uneeded stuff from the spec file

2006-04-04 15:25:27 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/simple.c: Let's do a simple link.
	  Original commit message from CVS:
	  * tests/check/simple.c: (composition_pad_added_cb):
	  Let's do a simple link.

2006-04-04 14:54:42 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/Makefile.am: GST_DEBUG=*:4
	  Original commit message from CVS:
	  * tests/check/Makefile.am:
	  GST_DEBUG=*:4

2006-04-04 14:49:09 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/Makefile.am: Higher debug level :(
	  Original commit message from CVS:
	  * tests/check/Makefile.am:
	  Higher debug level :(

2006-04-04 14:05:18 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: If new target and previous target are the same, don't retarget.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_ghost_pad_set_target):
	  If new target and previous target are the same, don't retarget.

2006-04-04 12:37:52 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/Makefile.am: Forcing GST_DEBUG to figure out what's going wrong with the buildbots.
	  Original commit message from CVS:
	  * tests/check/Makefile.am:
	  Forcing GST_DEBUG to figure out what's going wrong with the buildbots.

2006-04-04 12:25:20 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlobject.c: Bug in converting media time over media_stop
	  Original commit message from CVS:
	  * gnl/gnlobject.c: (gnl_media_to_object_time):
	  Bug in converting media time over media_stop

2006-04-04 11:16:41 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/simple.c: Added new test to check start/duration/stop correctness for sources and compositions.
	  Original commit message from CVS:
	  * tests/check/simple.c: (GST_START_TEST), (gnonlin_suite):
	  Added new test to check start/duration/stop correctness for
	  sources and compositions.

2006-04-04 10:54:10 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlobject.c: Free the GnlPadPrivate once we have removed the pad.
	  Original commit message from CVS:
	  * gnl/gnlobject.c: (gnl_object_remove_ghost_pad):
	  Free the GnlPadPrivate once we have removed the pad.

2006-04-04 09:29:58 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: update_pipeline was returning the wrong information.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (update_pipeline):
	  update_pipeline was returning the wrong information.
	  It now returns FALSE only if there was an error updating the pipeline.
	  * tests/check/simple.c: (GST_START_TEST):
	  The test fails if the state_change() DOES return FAILURE.

2006-04-03 13:32:23 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: New pre-release (0.10.0.10).
	  Original commit message from CVS:
	  * configure.ac:
	  New pre-release (0.10.0.10).
	  Required version of gstreamer core/-base is 0.10.4.
	  * tests/check/simple.c: (gnonlin_suite):
	  Only run the tests with core > 0.10.4.0

2006-04-03 11:25:40 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/simple.c: When the pipeline is set to NULL, on slow/loaded systems the pipeline might not have reached th...
	  Original commit message from CVS:
	  * tests/check/simple.c: (GST_START_TEST):
	  When the pipeline is set to NULL, on slow/loaded systems the pipeline
	  might not have reached that state yet when checking for the refcount
	  of the pipeline/bus. We now check that refcount is between 1 and 2 now.

2006-04-03 09:51:48 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/: Indent the source code using gstreamer/tools/gst-indent
	  Original commit message from CVS:
	  * gnl/gnl.c: (plugin_init):
	  * gnl/gnlcomposition.c: (gnl_composition_class_init),
	  (hash_value_destroy), (gnl_composition_init),
	  (gnl_composition_dispose), (gnl_composition_finalize),
	  (unlock_child_state), (ready_and_lock_child_state),
	  (gnl_composition_reset), (gnl_composition_handle_message),
	  (priority_comp), (have_to_update_pipeline), (get_new_seek_event),
	  (handle_seek_event), (gnl_composition_event_handler),
	  (gnl_composition_ghost_pad_set_target), (get_stack_list),
	  (get_clean_toplevel_stack), (get_src_pad),
	  (gnl_composition_prepare), (gnl_composition_change_state),
	  (objects_start_compare), (objects_stop_compare),
	  (update_start_stop_duration), (no_more_pads_object_cb),
	  (compare_relink_stack), (update_pipeline), (object_start_changed),
	  (object_stop_changed), (object_priority_changed),
	  (object_active_changed), (object_pad_removed),
	  (gnl_composition_add_object), (gnl_composition_remove_object):
	  * gnl/gnlcomposition.h:
	  * gnl/gnlfilesource.c: (gnl_filesource_class_init),
	  (compare_src_pad), (get_valid_src_pad), (ghost_seek_pad),
	  (pad_blocked_cb), (decodebin_new_pad_cb),
	  (decodebin_pad_removed_cb), (gnl_filesource_init),
	  (gnl_filesource_dispose), (gnl_filesource_finalize),
	  (gnl_filesource_prepare), (gnl_filesource_send_event),
	  (gnl_filesource_set_property), (gnl_filesource_get_property):
	  * gnl/gnlfilesource.h:
	  * gnl/gnlobject.c: (gnl_object_dispose), (ghostpad_event_function),
	  (control_internal_pad), (ghostpad_link_function),
	  (ghostpad_unlink_function), (gnl_object_change_state):
	  * gnl/gnlobject.h:
	  * gnl/gnloperation.c: (gnl_operation_class_init),
	  (gnl_operation_init):
	  * gnl/gnloperation.h:
	  * gnl/gnlsource.c: (gnl_source_class_init), (gnl_source_init),
	  (gnl_source_dispose), (gnl_source_finalize), (compare_src_pad),
	  (get_valid_src_pad), (no_more_pads_in_child),
	  (gnl_source_add_element), (gnl_source_remove_element):
	  * gnl/gnlsource.h:
	  Indent the source code using gstreamer/tools/gst-indent

2006-04-03 08:49:17 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  clean up like the other modules
	  Original commit message from CVS:
	  * configure.ac:
	  * gnl/Makefile.am:
	  * gnl/gnl.c:
	  clean up like the other modules

2006-03-31 17:16:43 +0000  Edward Hervey <bilboed@bilboed.com>

	  tests/check/simple.c: more checking.
	  Original commit message from CVS:
	  * tests/check/simple.c: (GST_START_TEST):
	  more checking.

2006-03-31 17:01:48 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Add debug, valgrind and gcov. Remove c++/malloc cruft
	  Original commit message from CVS:
	  * configure.ac:
	  Add debug, valgrind and gcov. Remove c++/malloc cruft
	  * gnl/gnlcomposition.c: (hash_value_destroy),
	  (gnl_composition_dispose), (gnl_composition_finalize),
	  (unlock_child_state), (ready_and_lock_child_state),
	  (gnl_composition_reset), (gnl_composition_handle_message),
	  (gnl_composition_change_state), (update_pipeline),
	  (object_pad_removed), (gnl_composition_add_object):
	  Handle pads being removed on controlled objects, and remove the
	  composition ghostpad if the object is the top-level one.
	  Memleak fixes.
	  Properly lock/unlock the state of the childs between READY and PAUSED.
	  Properly return success or not in update_pipeline()
	  * gnl/gnlfilesource.c: (decodebin_pad_removed_cb):
	  Use gnl_object_remove_ghost_pad ()
	  * gnl/gnlobject.c: (gnl_object_class_init), (gnl_object_dispose),
	  (translate_incoming_seek), (translate_outgoing_new_segment),
	  (internalpad_event_function), (control_internal_pad),
	  (ghostpad_link_function), (ghostpad_unlink_function),
	  (gnl_object_remove_ghost_pad), (gnl_object_change_state):
	  * gnl/gnlobject.h:
	  Add gnl_object_remove_ghost_pad() to properly remove the GnlPadPrivate
	  data from the ghostpads used in GnlObjects.
	  Memleak fixes.
	  * gnl/gnlsource.c: (gnl_source_remove_element):
	  * tests/check/Makefile.am:
	  * tests/check/simple.c: (composition_pad_added_cb),
	  (GST_START_TEST):

2006-03-30 11:07:04 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  use pluginsdir exposed by core and base .pc files to find elements like videotestsrc and fakesink
	  Original commit message from CVS:
	  * Makefile.am:
	  * configure.ac:
	  * tests/check/Makefile.am:
	  use pluginsdir exposed by core and base .pc files to find
	  elements like videotestsrc and fakesink

2006-03-30 10:16:26 +0000  Edward Hervey <bilboed@bilboed.com>

	  autogen.sh: Fix up autogen.sh for common/ since we're now in gstreamer cvs.
	  Original commit message from CVS:
	  * autogen.sh:
	  Fix up autogen.sh for common/ since we're now in gstreamer cvs.

2006-03-30 10:10:23 +0000  Edward Hervey <bilboed@bilboed.com>

	  Makefile.am: test/directory is gone
	  Original commit message from CVS:
	  * Makefile.am:
	  test/directory is gone

2006-03-30 09:55:39 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* .gitignore:
	* tests/Makefile.am:
	* tests/check/.gitignore:
	  ignore more
	  Original commit message from CVS:
	  ignore more

2006-03-30 09:54:31 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* test/.gitignore:
	* test/Makefile.am:
	* test/composition.c:
	* test/composition2.c:
	* test/dynamic1.c:
	* test/dynamic2.c:
	* test/group.c:
	* test/layertest.c:
	* test/layertest2.c:
	* test/layertest3.c:
	* test/layertest4.c:
	* test/pipelines.c:
	* test/pipelines.h:
	* test/simple.c:
	* test/simple1.c:
	* test/simple2.c:
	* test/simple3.c:
	* test/simple4.c:
	* test/simple5.c:
	* test/sourcetest1.c:
	* test/sourcetest2.c:
	* test/sourcetest3.c:
	* test/sourcetest4.c:
	* test/vlayertest.c:
	  test was moved
	  Original commit message from CVS:
	  test was moved

2006-03-30 09:53:56 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  make similar to the other gstreamer modules remove gettext stuff
	  Original commit message from CVS:
	  * Makefile.am:
	  * autogen.sh:
	  * configure.ac:
	  * po/Makefile.in.in:
	  * tests/check/Makefile.am:
	  * tests/check/simple.c: (composition_pad_added_cb),
	  (compare_segments), (sinkpad_event_probe), (videotest_gnl_src),
	  (segment_new), (GST_START_TEST), (gnonlin_suite), (main):
	  make similar to the other gstreamer modules
	  remove gettext stuff

2006-03-29 17:21:00 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  pre-release
	  * gnl/gnl.c:
	  Remove gnloperation for (pre-)release
	  * test/Makefile.am:
	  Fix for GST_PLUGIN_PATH since the tests use videotestsrc.
	  * test/simple.c: (gst_element_factory_make_or_warn),
	  (videotest_gnl_src), (GST_START_TEST), (gnonlin_suite):
	  Makes checks for element_factory_make()
	  Make sure we are looking for the proper values.
	  Comment out known broken test for (pre-)release

2006-03-29 10:06:33 +0000  Edward Hervey <bilboed@bilboed.com>

	  Makefile.am: whoops, trailing back-slash
	  Original commit message from CVS:
	  * Makefile.am:
	  whoops, trailing back-slash

2006-03-29 10:03:08 +0000  Edward Hervey <bilboed@bilboed.com>

	  Removing pkgconfig file generation. It's no longer needed since GNonLin are GStreamer plugins and check should be don...
	  Original commit message from CVS:
	  * Makefile.am:
	  * configure.ac:
	  * pkgconfig/Makefile.am:
	  * pkgconfig/gnonlin.pc.in:
	  Removing pkgconfig file generation. It's no longer needed since GNonLin
	  are GStreamer plugins and check should be done using the existing tools,
	  and/or at runtime.

2006-03-29 09:57:17 +0000  Edward Hervey <bilboed@bilboed.com>

	  Added testsuite system.
	  Original commit message from CVS:
	  * configure.ac:
	  * test/Makefile.am:
	  * test/simple.c: (composition_pad_added_cb), (compare_segments),
	  (sinkpad_event_probe), (videotest_gnl_src), (segment_new),
	  (GST_START_TEST), (gnonlin_suite), (main):
	  Added testsuite system.
	  Added first batch of test to test:
	  _ proper start/stop/duration settings/update on sources and compositions
	  _ proper data flow in various source combination

2006-03-28 16:38:53 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Add pad template.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_class_init),
	  (gnl_composition_reset), (gnl_composition_event_handler),
	  (gnl_composition_ghost_pad_set_target), (get_clean_toplevel_stack),
	  (no_more_pads_object_cb), (update_pipeline):
	  Add pad template.
	  More debug.
	  * gnl/gnlfilesource.c: (decodebin_pad_removed_cb),
	  (gnl_filesource_init):
	  Add pad template
	  Reset the ghostpad if the decodebin pad gets removed.
	  * gnl/gnlobject.c: (gnl_object_class_init),
	  (gnl_object_cleanup_func), (gnl_object_cleanup),
	  (gnl_object_change_state):
	  Call GnlObject::prepare AFTER calling parent change_state, otherwise
	  pads won't have been re-activated, flushing flash won't have been
	  removed and seek on the pads will definitely not work.
	  Essential for re-using gnlobjects.
	  * gnl/gnlobject.h:
	  * gnl/gnlsource.c: (gnl_source_class_init):
	  Add pad template

2006-03-24 16:29:21 +0000  Wim Taymans <wim.taymans@gmail.com>

	  gnl/gnlobject.*: Re-indent, move uncommon code out of the main flow.
	  Original commit message from CVS:
	  * gnl/gnlobject.c: (gnl_object_class_init), (gnl_object_init),
	  (gnl_object_to_media_time), (gnl_media_to_object_time),
	  (gnl_object_covers_func), (gnl_object_covers),
	  (gnl_object_prepare_func), (gnl_object_prepare),
	  (gnl_object_release_pad), (translate_incoming_seek),
	  (translate_outgoing_seek), (translate_outgoing_new_segment),
	  (internalpad_event_function), (translate_incoming_position_query),
	  (internalpad_query_function), (internalpad_unlink_function),
	  (flush_hack_check), (ghostpad_event_function),
	  (ghostpad_query_function), (control_internal_pad),
	  (ghostpad_link_function), (ghostpad_unlink_function),
	  (gnl_object_ghost_pad_full), (gnl_object_ghost_pad),
	  (gnl_object_ghost_pad_no_target),
	  (gnl_object_ghost_pad_set_target),
	  (translate_message_segment_start),
	  (translate_message_segment_done), (gnl_object_handle_message),
	  (gnl_object_set_caps), (update_values), (gnl_object_set_property),
	  (gnl_object_get_property), (gnl_object_change_state):
	  * gnl/gnlobject.h:
	  Re-indent, move uncommon code out of the main flow.
	  * gnl/gnlsource.c: (gnl_source_init), (gnl_source_dispose),
	  (gnl_source_finalize), (no_more_pads_in_child),
	  (gnl_source_add_element), (gnl_source_remove_element):
	  * gnl/gnlsource.h:
	  cleanups.

2006-02-20 18:24:36 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Fix proper pipeline update when going from one segment to another (as opposed to seek changes).
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_handle_message),
	  (get_new_seek_event), (get_stack_list), (get_clean_toplevel_stack),
	  (update_pipeline):
	  Fix proper pipeline update when going from one segment to another (as
	  opposed to seek changes).
	  More efficient _update_pipeline()
	  Lots of debug cleanups.
	  * gnl/gnlobject.c: (translate_incoming_position_query),
	  (ghostpad_query_function), (translate_message_segment_done):
	  Implement position query time-shifting.

2006-01-27 09:48:08 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Added requirement for explicit --prefix setting, so that GNonLin doesn't get installed in a path that i...
	  Original commit message from CVS:
	  * configure.ac:
	  Added requirement for explicit --prefix setting, so that GNonLin
	  doesn't get installed in a path that isn't checked by the GStreamer
	  registry.

2006-01-18 10:38:51 +0000  Edward Hervey <bilboed@bilboed.com>

	  0.10.0.5 release "Doner con patatas"
	  Original commit message from CVS:
	  0.10.0.5 release "Doner con patatas"
	  * RELEASE:
	  * configure.ac:

2006-01-09 14:17:04 +0000  Christian Schaller <uraeus@gnome.org>

	* gnonlin.spec.in:
	  update for latest changes
	  Original commit message from CVS:
	  update for latest changes

2006-01-07 18:45:32 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Remove useless checks
	  Original commit message from CVS:
	  * configure.ac:
	  Remove useless checks
	  * gnl/Makefile.am:
	  * gnl/gnl.c:
	  * gnl/gnl.h:
	  * gnl/gnltimeline.c:
	  * gnl/gnltimeline.h:
	  Remove gnltimeline.[ch]

2006-01-07 18:44:31 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: I got mix up with >= vs > and <= vs <
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_handle_message):
	  I got mix up with >= vs > and <= vs <
	  * gnl/gnlobject.c: (translate_message_segment_done):
	  Handle the case where media_stop is GST_CLOCK_TIME_NONE

2005-12-23 15:31:56 +0000  Edward Hervey <bilboed@bilboed.com>

	  Add gnonlin.pc for programs depending on gnonlin.
	  Original commit message from CVS:
	  * Makefile.am:
	  * configure.ac:
	  * pkgconfig/Makefile.am:
	  * pkgconfig/gnonlin.pc.in:
	  Add gnonlin.pc for programs depending on gnonlin.

2005-12-21 18:47:19 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to devel cycle
	  Original commit message from CVS:
	  * configure.ac:
	  Back to devel cycle

2005-12-21 18:37:28 +0000  Edward Hervey <bilboed@bilboed.com>

	  Releasing 0.10.0.2 beta release
	  Original commit message from CVS:
	  Releasing 0.10.0.2 beta release
	  * RELEASE:
	  * configure.ac:

2005-12-21 17:54:31 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Ignore po/ for the time being
	  Original commit message from CVS:
	  * configure.ac:
	  Ignore po/ for the time being
	  * gnl/Makefile.am:
	  Add gnltypes.h to the list of headers
	  Simplify the whole process
	  * gnl/gnl.c:
	  * gnl/gnl.h:
	  * gnl/gnlcomposition.h:
	  * gnl/gnlfilesource.h:
	  * gnl/gnlobject.h:
	  * gnl/gnloperation.h:
	  * gnl/gnlsource.h:
	  Use local include headers (<gnl/*.h> ==> "*.h")

2005-12-20 18:35:46 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlfilesource.c: Cleanup
	  Original commit message from CVS:
	  * gnl/gnlfilesource.c:
	  Cleanup
	  * gnl/gnlobject.c: (translate_message_segment_done):
	  Handle cases where the GST_SEGMENT_DONE has a format different from
	  GST_FORMAT_TIME. In those situations, bump the segment-done value to
	  object->media_start.

2005-12-20 15:46:56 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Update to use GstBin::handle_message virtual method.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (gnl_composition_class_init),
	  (gnl_composition_init), (gnl_composition_handle_message),
	  (objects_stop_compare):
	  Update to use GstBin::handle_message virtual method.
	  Fix **stupid** bug in stop_compare GCompareFunc.
	  * gnl/gnlobject.c: (gnl_object_class_init), (gnl_object_init),
	  (gnl_object_handle_message):
	  * gnl/gnlobject.h:
	  Update to use GstBin::handle_message virtual method

2005-12-14 14:12:43 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Returning the difference of 2 unsigned int, expecting the result to be negative is... somewhat ...
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (objects_start_compare),
	  (objects_stop_compare):
	  Returning the difference of 2 unsigned int, expecting the result
	  to be negative is... somewhat idiotic :)
	  * gnl/gnlcomposition.c: (gnl_composition_class_init),
	  (gnl_composition_add_object):
	  * gnl/gnlfilesource.c: (gnl_filesource_class_init):
	  * gnl/gnlobject.c: (gnl_object_class_init),
	  (gnl_object_covers_func), (translate_message_segment_start),
	  (translate_message_segment_done), (update_values):
	  * gnl/gnloperation.c: (gnl_operation_class_init):
	  * gnl/gnlsource.c: (gnl_source_class_init):
	  GNonLin debugging category is now BOLD BLUE.
	  Updated debugging statements with GST_TIME_FORMAT.

2005-12-12 11:00:30 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Whoops, don't unref too much.
	  Original commit message from CVS:
	  * gnl/gnlcomposition.c: (compare_relink_stack):
	  Whoops, don't unref too much.

2005-12-10 19:35:40 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlcomposition.c: Implement better event handling and fix memory leaks.
	  Original commit message from CVS:
	  reviewed by: <delete if not using a buddy>
	  * gnl/gnlcomposition.c: (gnl_composition_init),
	  (gnl_composition_reset), (gnl_composition_sync_handler),
	  (have_to_update_pipeline), (get_new_seek_event),
	  (handle_seek_event), (gnl_composition_event_handler),
	  (gnl_composition_ghost_pad_set_target), (objects_start_compare),
	  (objects_stop_compare), (no_more_pads_object_cb),
	  (compare_relink_stack), (update_pipeline),
	  (gnl_composition_add_object):
	  Implement better event handling and fix memory leaks.
	  * gnl/gnlfilesource.c: (gnl_filesource_prepare):
	  * gnl/gnlobject.c: (gnl_object_to_media_time),
	  (gnl_media_to_object_time), (translate_incoming_seek),
	  (translate_outgoing_seek), (translate_outgoing_new_segment),
	  (internalpad_event_function), (internalpad_query_function),
	  (internalpad_unlink_function), (ghostpad_event_function),
	  (control_internal_pad), (ghostpad_unlink_function),
	  (gnl_object_ghost_pad_set_target):
	  Implement better event handling

2005-12-08 14:46:22 +0000  Edward Hervey <bilboed@bilboed.com>

	  gnl/gnlfilesource.c: Do this hack from another thread.
	  Original commit message from CVS:
	  * gnl/gnlfilesource.c: (pad_blocked_cb):
	  Do this hack from another thread.

